webpackJsonp([115],{

/***/ 529:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MapAddressPageModule", function() { return MapAddressPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__map_address__ = __webpack_require__(703);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MapAddressPageModule = /** @class */ (function () {
    function MapAddressPageModule() {
    }
    MapAddressPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__map_address__["a" /* MapAddressPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__map_address__["a" /* MapAddressPage */]),
            ],
        })
    ], MapAddressPageModule);
    return MapAddressPageModule;
}());

//# sourceMappingURL=map-address.module.js.map

/***/ }),

/***/ 703:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MapAddressPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var MapAddressPage = /** @class */ (function () {
    function MapAddressPage(appService, navCtrl, navParams) {
        this.appService = appService;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.firms_name = this.navParams.get('name');
        this.address = this.navParams.get('address');
        this.longitude = this.navParams.get('longitude');
        this.latitude = this.navParams.get('latitude');
        // console.log(666);
    }
    MapAddressPage.prototype.ionViewDidLoad = function () {
        this.createMap();
    };
    MapAddressPage.prototype.createMap = function () {
        if (this.latitude == 0 || this.longitude == 0) {
            this.appService.alert("无坐标信息！");
            return;
        }
        var map = new BMap.Map("map_address");
        var point = new BMap.Point(this.longitude, this.latitude);
        map.centerAndZoom(point, 15);
        var marker = new BMap.Marker(point);
        map.addOverlay(marker);
        marker.addEventListener("click", function () {
            map.openInfoWindow(infoWindow, point);
        });
        var opts = {
            width: 100,
            height: 50,
            title: this.firms_name // 信息窗口标题
        };
        var infoWindow = new BMap.InfoWindow('地址：' + this.address, opts); // 创建信息窗口对象 
    };
    MapAddressPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-map-address',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\map-address\map-address.html"*/'<!--\n\n  Generated template for the MapAddressPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{firms_name}}</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content padding>\n\n  <div id="map_address"></div>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\map-address\map-address.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */]])
    ], MapAddressPage);
    return MapAddressPage;
}());

//# sourceMappingURL=map-address.js.map

/***/ })

});
//# sourceMappingURL=115.js.map