webpackJsonp([118],{

/***/ 526:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LinkArticleDetailPageModule", function() { return LinkArticleDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__link_article_detail__ = __webpack_require__(700);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LinkArticleDetailPageModule = /** @class */ (function () {
    function LinkArticleDetailPageModule() {
    }
    LinkArticleDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__link_article_detail__["a" /* LinkArticleDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__link_article_detail__["a" /* LinkArticleDetailPage */]),
            ],
        })
    ], LinkArticleDetailPageModule);
    return LinkArticleDetailPageModule;
}());

//# sourceMappingURL=link-article-detail.module.js.map

/***/ }),

/***/ 700:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LinkArticleDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(36);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the LinkArticleDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LinkArticleDetailPage = /** @class */ (function () {
    function LinkArticleDetailPage(navCtrl, appService, sanitizer, navParams) {
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.sanitizer = sanitizer;
        this.navParams = navParams;
        this.info = [{ id: 0, title: "", content: "" }];
        this.article_id = this.navParams.get('article_id');
    }
    LinkArticleDetailPage.prototype.ionViewDidLoad = function () {
        this.getDetailInfo();
    };
    /**
   * 获取项目信息
   */
    LinkArticleDetailPage.prototype.getDetailInfo = function () {
        var _this = this;
        // this.info = [{
        //   "id": 1073, "img": "http://12351.ccgh.org.cn/upload/content/article/picture/155305186208108.jpg", "content": "工会会员服务卡优惠服务内容：1、会员持卡购买景区门票(30元)享受票价面值的8折(24元)优惠，每卡每天优惠一次。2、会员持卡购买景区年票一张(300元)享受票价面值的8折(240元)优惠，每卡每年优惠一次。 2、优惠实现形式：刷会员卡验证会员身份，以现金或其它支付方式购买景区门票和年票。3、办理地点：净月潭景区游客服务中心。3、办理时间：夏季8：30—16：00；冬季8: 30—15: 30。优惠有效期： 2021年1月19日前。", "title": "净月潭公园提供的优惠门票及年票", "create_time": "2019-11-12", "last_show_hits": 3000
        // }];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getLinkArticleDetail, { article_id: this.article_id }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.info = d;
                    _this.content = d.content;
                    _this.content = _this.content.replace(/&lt;/g, "<");
                    _this.content = _this.content.replace(/&gt;/g, ">");
                    // localStorage.setItem('jilinapp_jl.newsDetail', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /*下拉刷新 */
    LinkArticleDetailPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.ionViewDidLoad();
            refresher.complete();
        }, 1000);
    };
    /**
     * 文本处理
     * @param strHTML
     */
    LinkArticleDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    LinkArticleDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-link-article-detail',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\link-article-detail\link-article-detail.html"*/'<!--\n  Generated template for the UnionNewsDetailPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>文章详情</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n    </ion-refresher-content>\n  </ion-refresher>\n\n  <ion-list class="list list-ios">\n    <ion-item style="border-bottom:0.55px solid #c8c7cc;">\n      <ion-thumbnail item-start>\n        <img src="{{info.img}}">\n      </ion-thumbnail>\n      <h3 class="textCtrl-title" style="overflow:visible;white-space: normal; text-overflow:ellipsis;">{{info.title}}</h3>\n      <p style="color:#8e9093;">创建时间：{{info.create_time}}</p>\n      <!-- <p style="color:#8e9093;">浏览量：{{info.last_show_hits}}</p> -->\n      <p style="color:#8e9093;">文章作者：{{info.author}}</p>\n      <p style="color:#8e9093;">文章来源：{{info.derivation}}</p>\n    </ion-item>\n    <ion-item class="item item-2 item-service-content" style="border-bottom:none;">\n      <!-- <p class="textCtrl-content" style="overflow:visible;white-space: normal; text-overflow:ellipsis;" [innerHTML]="content"></p> -->\n      <p class="textCtrl-content" style="overflow:visible;white-space: normal; text-overflow:ellipsis;" [innerHTML]="assembleHTML(content)"></p>\n    </ion-item>\n\n  </ion-list>\n\n</ion-content>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\link-article-detail\link-article-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */]])
    ], LinkArticleDetailPage);
    return LinkArticleDetailPage;
}());

//# sourceMappingURL=link-article-detail.js.map

/***/ })

});
//# sourceMappingURL=118.js.map