webpackJsonp([126],{

/***/ 518:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawLawyerAssistanceDetailPageModule", function() { return LawLawyerAssistanceDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__law_lawyer_assistance_detail__ = __webpack_require__(692);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LawLawyerAssistanceDetailPageModule = /** @class */ (function () {
    function LawLawyerAssistanceDetailPageModule() {
    }
    LawLawyerAssistanceDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__law_lawyer_assistance_detail__["a" /* LawLawyerAssistanceDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__law_lawyer_assistance_detail__["a" /* LawLawyerAssistanceDetailPage */]),
            ],
        })
    ], LawLawyerAssistanceDetailPageModule);
    return LawLawyerAssistanceDetailPageModule;
}());

//# sourceMappingURL=law-lawyer-assistance-detail.module.js.map

/***/ }),

/***/ 692:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawLawyerAssistanceDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_law_lawyer_assistance_reply_law_lawyer_assistance_reply__ = __webpack_require__(293);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the LawLawyerAssistanceDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawLawyerAssistanceDetailPage = /** @class */ (function () {
    function LawLawyerAssistanceDetailPage(navCtrl, navParams, appUtil, appService, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appUtil = appUtil;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.assistanceInfo = [];
        this.disputeTypes = [
            { 'code': '1', 'name': '薪资纠纷' },
            { 'code': '2', 'name': '工伤赔付' },
            { 'code': '3', 'name': '劳动合同纠纷' },
            { 'code': '4', 'name': '其他劳动争议' }
        ];
        this.type = this.navParams.get('type');
        this.record_id = this.navParams.get('id');
    }
    LawLawyerAssistanceDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LawLawyerAssistanceDetailPage');
        this.getAssistanceInfo();
    };
    /* 获取法律咨询详情 */
    LawLawyerAssistanceDetailPage.prototype.getAssistanceInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.lawyerAssistanceInfo, {
            token: localStorage.getItem('token'),
            record_id: this.record_id
        }, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    //跳转至登录页面
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.assistanceInfo = d;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /* 文本处理 */
    LawLawyerAssistanceDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    /* 回复 */
    LawLawyerAssistanceDetailPage.prototype.reply = function (myEvent) {
        var _this = this;
        var reply = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_law_lawyer_assistance_reply_law_lawyer_assistance_reply__["a" /* LawLawyerAssistanceReplyComponent */], { record_id: this.record_id });
        reply.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                if (data.success === 1) {
                    _this.appService.alert('回复成功！');
                    _this.navCtrl.pop();
                }
            }
        });
        reply.present({
            ev: myEvent
        });
    };
    /**
    * 更多弹窗
    * @param myEvent
    */
    LawLawyerAssistanceDetailPage.prototype.moreInfo = function (myEvent, member_id) {
        this.navCtrl.push('LawAssistancePersonalListPage', { member_id: member_id });
    };
    LawLawyerAssistanceDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-law-lawyer-assistance-detail',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\law-lawyer-assistance-detail\law-lawyer-assistance-detail.html"*/'<!--\n\n  Generated template for the LawAdvisoryDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>求助详情</ion-title>\n\n    <ion-buttons end *ngIf="type != 3">\n\n      <button ion-button icon-only (click)="moreInfo($event,assistanceInfo.member_id)">\n\n        <ion-icon name="more"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      所属工会\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{assistanceInfo.org_name}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      求助标题\n\n    </h3>\n\n    <p class="textCtrl-content" float-right [innerHTML]="assembleHTML(assistanceInfo.title)"></p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      求助时间\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{assistanceInfo.create_time}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content" style="border-bottom:none;">\n\n    <h3 class="ion-title textCtrl-title">\n\n      求助内容\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;" [innerHTML]="assembleHTML(assistanceInfo.content)">\n\n    </div>\n\n  </ion-item>\n\n\n\n\n\n  <ng-container *ngIf="assistanceInfo.status_value != 0">\n\n    <div class="item item-divider" style="background-color:#d0cece;height:5px;"></div>\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        回复时间\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{assistanceInfo.reply_time}}</p>\n\n    </ion-item>\n\n\n\n    <ng-container *ngIf="assistanceInfo.status_value != 3">\n\n      <ion-item class="item-content">\n\n        <h3 class="ion-title textCtrl-title">\n\n          回复内容\n\n        </h3>\n\n        <div class="item-appraise textCtrl-content" style="line-height: 25px;" [innerHTML]="assembleHTML(assistanceInfo.reply_content)"></div>\n\n      </ion-item>\n\n    </ng-container>\n\n\n\n    <ng-container *ngIf="assistanceInfo.status_value == 3">\n\n      <ion-item class="item-content">\n\n        <h3 class="ion-title textCtrl-title">\n\n          不受理原因\n\n        </h3>\n\n        <div class="item-appraise textCtrl-content" style="line-height: 25px;" [innerHTML]="assembleHTML(assistanceInfo.reply_content)"></div>\n\n      </ion-item>\n\n    </ng-container>\n\n\n\n  </ng-container>\n\n\n\n</ion-content>\n\n\n\n<ng-container *ngIf="type != 3">\n\n  <ng-container *ngIf="assistanceInfo.status_value == 0">\n\n    <ion-footer no-border>\n\n      <ion-toolbar>\n\n        <button ion-button block button-positive (click)="reply($event)">回复</button>\n\n      </ion-toolbar>\n\n    </ion-footer>\n\n  </ng-container>\n\n</ng-container>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\law-lawyer-assistance-detail\law-lawyer-assistance-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */]])
    ], LawLawyerAssistanceDetailPage);
    return LawLawyerAssistanceDetailPage;
}());

//# sourceMappingURL=law-lawyer-assistance-detail.js.map

/***/ })

});
//# sourceMappingURL=126.js.map