webpackJsonp([132],{

/***/ 512:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawAssistancePersonalListPageModule", function() { return LawAssistancePersonalListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__law_assistance_personal_list__ = __webpack_require__(686);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LawAssistancePersonalListPageModule = /** @class */ (function () {
    function LawAssistancePersonalListPageModule() {
    }
    LawAssistancePersonalListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__law_assistance_personal_list__["a" /* LawAssistancePersonalListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__law_assistance_personal_list__["a" /* LawAssistancePersonalListPage */]),
            ],
        })
    ], LawAssistancePersonalListPageModule);
    return LawAssistancePersonalListPageModule;
}());

//# sourceMappingURL=law-assistance-personal-list.module.js.map

/***/ }),

/***/ 686:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawAssistancePersonalListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the LawAssistancePersonalListPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawAssistancePersonalListPage = /** @class */ (function () {
    function LawAssistancePersonalListPage(navCtrl, navParams, modalCtrl, appUtil, appService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.appService = appService;
        this.hasmore = true;
        this.assistanceList = [];
        this.token = null;
        this.params = {
            token: localStorage.getItem('token'),
            page: 1,
            size: 10,
            member_id: 0
        };
        this.params.member_id = this.navParams.get('member_id');
    }
    LawAssistancePersonalListPage.prototype.ionViewWillEnter = function () {
        //检测登录状态
        this.checkLogin();
        //列表初始化
        this.initList();
    };
    /* 获取法律咨询列表 */
    LawAssistancePersonalListPage.prototype.getPersonalAssistanceList = function () {
        var _this = this;
        this.assistanceList = JSON.parse(localStorage.getItem('jilinapp.personalAssistanceList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.personalAssistanceList, this.params, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    //跳转至登录页面
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.assistanceList = d;
                    _this.params.page += 1;
                    localStorage.setItem('jilinapp.personalAssistanceList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /* 校验登录 */
    LawAssistancePersonalListPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('token');
        this.params.token = this.token;
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            //跳转至登录页面
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    //刷新时需要初始化页数和是否还有数据的标志
    LawAssistancePersonalListPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getPersonalAssistanceList();
    };
    /* 下拉刷新 */
    LawAssistancePersonalListPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            // 刷新列表
            if (refresher)
                refresher.complete();
        }, 1000);
    };
    //上滑加载方法
    LawAssistancePersonalListPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.personalAssistanceList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.assistanceList = _this.assistanceList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
            }
            infiniteScroll.complete();
        });
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    LawAssistancePersonalListPage.prototype.trackByPersonalAssistanceList = function (index, assistance) {
        return assistance.id;
    };
    /* 详情 */
    LawAssistancePersonalListPage.prototype.detail = function (id) {
        this.navCtrl.push('LawLawyerAssistanceDetailPage', { type: 3, id: id });
    };
    /* 文本处理 */
    LawAssistancePersonalListPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    LawAssistancePersonalListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-law-assistance-personal-list',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\law-assistance-personal-list\law-assistance-personal-list.html"*/'<!--\n\n  Generated template for the LawAdvisoryPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>求助历史信息</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <ion-list style="padding:0 10px 0 10px" *ngFor="let assistance of assistanceList; let i=index; trackBy: trackByPersonalAssistanceList">\n\n\n\n    <ion-item style="padding:0 10px 0 10px;border-bottom:0.55px solid #c8c7cc;" (click)="detail(assistance.id)">\n\n      <h3 class="textCtrl-title" style="margin-top:10px;font-weight:600;margin-bottom:15px;" [innerHTML]="assembleHTML(assistance.title)">\n\n      </h3>\n\n      <span style="font-size:1.4rem;color:#8e9093;display:inherit;">求 助 人：{{assistance.assistance_user_name}}</span>\n\n      <span style="font-size:1.4rem;color:#8e9093;display:inherit;">求助时间：{{assistance.create_time}}</span>\n\n      <span style="font-size:1.4rem;color:#8e9093;display:inherit;">状　　态：{{assistance.status}}</span>\n\n      <span style="font-size:1.4rem;color:#8e9093;overflow: hidden;text-overflow: ellipsis;white-space:nowrap;display:block;">求助内容：\n\n        <span [innerHTML]="assembleHTML(assistance.content)"></span>\n\n      </span>\n\n    </ion-item>\n\n\n\n  </ion-list>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\law-assistance-personal-list\law-assistance-personal-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */]])
    ], LawAssistancePersonalListPage);
    return LawAssistancePersonalListPage;
}());

//# sourceMappingURL=law-assistance-personal-list.js.map

/***/ })

});
//# sourceMappingURL=132.js.map