webpackJsonp([136],{

/***/ 508:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawAdvisoryDetailPageModule", function() { return LawAdvisoryDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__law_advisory_detail__ = __webpack_require__(682);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LawAdvisoryDetailPageModule = /** @class */ (function () {
    function LawAdvisoryDetailPageModule() {
    }
    LawAdvisoryDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__law_advisory_detail__["a" /* LawAdvisoryDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__law_advisory_detail__["a" /* LawAdvisoryDetailPage */]),
            ],
        })
    ], LawAdvisoryDetailPageModule);
    return LawAdvisoryDetailPageModule;
}());

//# sourceMappingURL=law-advisory-detail.module.js.map

/***/ }),

/***/ 682:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawAdvisoryDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_show_big_img_show_big_img__ = __webpack_require__(276);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the LawAdvisoryDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawAdvisoryDetailPage = /** @class */ (function () {
    function LawAdvisoryDetailPage(navCtrl, navParams, appUtil, modalCtrl, appService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appUtil = appUtil;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.advisoryInfo = [];
        this.type = this.navParams.get('type');
        this.record_id = this.navParams.get('id');
    }
    LawAdvisoryDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LawAdvisoryDetailPage');
        this.getAdvisoryInfo();
    };
    /**
   * 查看大图
   * @param myEvent
   */
    LawAdvisoryDetailPage.prototype.showBigPic = function (myEvent, url) {
        var imgModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_show_big_img_show_big_img__["a" /* ShowBigImgComponent */], { url: url });
        imgModal.present({
            ev: myEvent
        });
    };
    /* 获取法律咨询详情 */
    LawAdvisoryDetailPage.prototype.getAdvisoryInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.advisoryInfo, {
            token: localStorage.getItem('token'),
            record_id: this.record_id
        }, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    //跳转至登录页面
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.advisoryInfo = d;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /* 文本处理 */
    LawAdvisoryDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    /* 保存修改 */
    LawAdvisoryDetailPage.prototype.onSubmit = function () {
        var _this = this;
        this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.editAdvisory, {
            token: localStorage.getItem('token'),
            consult_content: this.advisoryInfo.content,
            title: this.advisoryInfo.title,
            record_id: this.record_id
        }, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    //跳转至登录页面
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    LawAdvisoryDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-law-advisory-detail',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\law-advisory-detail\law-advisory-detail.html"*/'<!--\n\n  Generated template for the LawAdvisoryDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>法律咨询详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ng-container *ngIf="type == 2">\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        咨询标题\n\n      </h3>\n\n      <div class="item-appraise textCtrl-content" style="line-height: 25px;" [innerHTML]="assembleHTML(advisoryInfo.title)">\n\n      </div>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        是否回复\n\n      </h3>\n\n      <p class="textCtrl-content" float-right *ngIf="advisoryInfo.is_reply">是</p>\n\n      <p class="textCtrl-content" float-right *ngIf="!advisoryInfo.is_reply">否</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        咨询时间\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{advisoryInfo.create_time}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content" style="border-bottom:none;">\n\n      <h3 class="ion-title textCtrl-title">\n\n        咨询内容\n\n      </h3>\n\n      <div class="item-appraise textCtrl-content" style="line-height: 25px;" [innerHTML]="assembleHTML(advisoryInfo.content)">\n\n      </div>\n\n    </ion-item>\n\n\n\n    <ng-container *ngIf="advisoryInfo.is_reply">\n\n      <div class="item item-divider" style="background-color:#d0cece;height:5px;"></div>\n\n\n\n      <ion-item class="item-content">\n\n        <h3 class="ion-title textCtrl-title">\n\n          回复时间\n\n        </h3>\n\n        <p class="textCtrl-content" float-right>{{advisoryInfo.reply_time}}</p>\n\n      </ion-item>\n\n\n\n      <ion-item class="item-content">\n\n        <h3 class="ion-title textCtrl-title">\n\n          回复内容\n\n        </h3>\n\n        <div class="item-appraise textCtrl-content" style="line-height: 25px;" [innerHTML]="assembleHTML(advisoryInfo.reply_content)"></div>\n\n      </ion-item>\n\n\n\n      <ion-item class="item-content">\n\n        <h3 class="ion-title textCtrl-title">\n\n          是否已读\n\n        </h3>\n\n        <p class="textCtrl-content" float-right *ngIf="advisoryInfo.is_read">是</p>\n\n        <p class="textCtrl-content" float-right *ngIf="!advisoryInfo.is_read">否</p>\n\n      </ion-item>\n\n\n\n      <ion-item (click)="isShow=!isShow" style="background-color:#F1EFEE;">\n\n        <span style="color:#666;font-size:16px;">咨询律师信息</span>\n\n        <ion-icon name="ios-arrow-down" *ngIf="!isShow" (click)="isShow=!isShow" style="font-size:16px;"></ion-icon>\n\n        <ion-icon name="ios-arrow-forward" *ngIf="isShow" (click)="isShow=!isShow" style="font-size:16px;"></ion-icon>\n\n\n\n      </ion-item>\n\n      <ion-list *ngIf="isShow" padding class="tishi">\n\n        <ion-item style="border-bottom:none;">\n\n          <ion-thumbnail item-start (click)="showBigPic($event,advisoryInfo.reply_lawyer_photo)">\n\n            <img src="{{advisoryInfo.reply_lawyer_photo}}">\n\n          </ion-thumbnail>\n\n          <p style="color:#8e9093;">律师：{{advisoryInfo.reply_lawyer_name}}</p>\n\n          <p style="color:#8e9093;">所在单位：{{advisoryInfo.reply_lawyer_company}}</p>\n\n        </ion-item>\n\n\n\n\n\n        <!-- \n\n        <ion-item class="item-content">\n\n          <h3 class="ion-title textCtrl-title">\n\n            回复律师\n\n          </h3>\n\n          <p class="textCtrl-content" float-right>{{advisoryInfo.reply_lawyer_name}}</p>\n\n        </ion-item>\n\n        <ion-item class="item">\n\n          <h3 class="textCtrl-title">{{advisoryInfo.reply_lawyer_name}}</h3>\n\n          <ion-avatar item-right>\n\n            <img src={{advisoryInfo.reply_lawyer_photo}}>{{advisoryInfo.reply_lawyer_name}}\n\n          </ion-avatar>\n\n        </ion-item>\n\n\n\n        <ion-item class="item-content">\n\n          <h3 class="ion-title textCtrl-title">\n\n            律师单位\n\n          </h3>\n\n          <p class="textCtrl-content" float-right>{{advisoryInfo.reply_lawyer_company}}</p>\n\n        </ion-item> -->\n\n      </ion-list>\n\n\n\n    </ng-container>\n\n\n\n  </ng-container>\n\n\n\n\n\n  <ng-container *ngIf="type == 1">\n\n\n\n    <form method="post" content-type="application/x-www-from-urlencoded" #add_form="ngForm" (ngSubmit)="onSubmit()">\n\n\n\n      <div class="textCtrl-content" style="border-bottom:0.55px solid #c8c7cc;padding:8px 0px 8px 0;overflow:hidden;">\n\n        <!-- <span style="float:left;margin-top:5px;font-size:1.7rem;color:#000;">咨询标题</span> -->\n\n        <textarea name="title" [(ngModel)]="advisoryInfo.title" cols="30" rows="1" placeholder="请填写咨询标题，限64个字以内" class="textCtrl-content"\n\n          style="padding-left:0;width:100%;max-width:100%;;max-height:160px;border: none;color: #999;">\n\n        </textarea>\n\n      </div>\n\n\n\n      <div class="textCtrl-content" style="border-bottom:0.55px solid #c8c7cc;padding:8px 0px 8px 0;overflow:hidden;">\n\n        <!-- <span style="float:left;margin-top:10px;font-size:1.7rem;color:#000;">咨询内容</span> -->\n\n        <textarea name="content" [(ngModel)]="advisoryInfo.content" cols="30" rows="10" placeholder="简单描述咨询内容，限512个字以内" class="textCtrl-content"\n\n          style="padding-left:0;width:100%;max-width:100%;;max-height:160px;border: none;color: #999;">\n\n        </textarea>\n\n      </div>\n\n\n\n      <div style="height: 2.4em;">\n\n        <button type="submit" ion-button block color="primary" [disabled]="!add_form.valid">\n\n          提交\n\n        </button>\n\n      </div>\n\n\n\n    </form>\n\n  </ng-container>\n\n\n\n\n\n</ion-content>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\law-advisory-detail\law-advisory-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */]])
    ], LawAdvisoryDetailPage);
    return LawAdvisoryDetailPage;
}());

//# sourceMappingURL=law-advisory-detail.js.map

/***/ })

});
//# sourceMappingURL=136.js.map