webpackJsonp([141],{

/***/ 503:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FriendshipPageModule", function() { return FriendshipPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__friendship__ = __webpack_require__(677);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FriendshipPageModule = /** @class */ (function () {
    function FriendshipPageModule() {
    }
    FriendshipPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__friendship__["a" /* FriendshipPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__friendship__["a" /* FriendshipPage */]),
            ],
        })
    ], FriendshipPageModule);
    return FriendshipPageModule;
}());

//# sourceMappingURL=friendship.module.js.map

/***/ }),

/***/ 677:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FriendshipPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_login_login__ = __webpack_require__(47);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the FriendshipPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var FriendshipPage = /** @class */ (function () {
    function FriendshipPage(navCtrl, alertCtrl, modalCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.token = localStorage.getItem('token') || null;
        this.info = localStorage.getItem('jilinapp.friendshipInfo') || [];
    }
    FriendshipPage.prototype.ionViewWillEnter = function () {
        this.loadFriendPersonalInfo();
    };
    //检查登录
    FriendshipPage.prototype.checkLogin = function () {
        var _this = this;
        this.token = window.localStorage.getItem('token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            //this.navCtrl.push("HomePage");
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            for (var i = 0; i < localStorage.length; i++) {
                                //console.log(localStorage.key(i));
                                if (localStorage.key(i) != 'jilinapp_jl.isFirstLogin') {
                                    localStorage.removeItem(localStorage.key(i));
                                }
                            }
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
        return true;
    };
    FriendshipPage.prototype.presentLoginModal = function (myEvent) {
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    //this.initList();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    /**
     * 加载婚恋交友个人信息
     */
    FriendshipPage.prototype.loadFriendPersonalInfo = function () {
        var _this = this;
        //if (this.checkLogin()) {
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getFriendshipPersonalInfo, { token: localStorage.getItem('token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.info = d;
                    localStorage.setItem('jilinapp.friendshipInfo', JSON.stringify(d));
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
                else if (d.errcode == -1) {
                    // this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
        //}
    };
    /**
     * 脱单个人信息详情
     */
    FriendshipPage.prototype.toDetail = function (id) {
        if (id > 0 && this.info.audit_status > 0)
            this.navCtrl.push('FriendshipPersonalInfoPage', { record_id: id });
    };
    /**
     * 活动信息
     */
    FriendshipPage.prototype.activityList = function () {
        this.navCtrl.push('FriendshipActivityListPage');
    };
    /**
     * 推荐列表
     */
    FriendshipPage.prototype.recommendList = function () {
        this.navCtrl.push('FriendshipRecommendListPage');
    };
    /**
     * 我喜欢谁列表
     */
    FriendshipPage.prototype.iLikeWho = function () {
        this.navCtrl.push('FriendshipILikeWhoPage');
    };
    /**
     * 谁喜欢我列表
     */
    FriendshipPage.prototype.whoLikeMe = function () {
        this.navCtrl.push('FriendshipWhoLikeMePage');
    };
    /**
     * 互相喜欢列表
     */
    FriendshipPage.prototype.likeEachOther = function () {
        this.navCtrl.push('FriendshipLikeEachOtherPage');
    };
    /**
     * 留言列表
     */
    FriendshipPage.prototype.messageList = function () {
        this.navCtrl.push('FriendshipMessageListPage');
    };
    FriendshipPage.prototype.logout = function () {
        var _this = this;
        if (!this.checkLogin()) {
            return;
        }
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '注销会员后，如您需要再次参加婚恋交友活动，则需要重新认证。确认注销吗？',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        //this.navCtrl.push("HomePage");
                    }
                },
                {
                    text: '确认',
                    handler: function () {
                        _this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.friendshipLogout, { token: window.localStorage.getItem('token') }, function (d) {
                            if (d != null) {
                                if (d.errcode == 0) {
                                    _this.appService.alert(d.errmsg);
                                    _this.navCtrl.pop();
                                }
                                else if (d.errcode == -2) {
                                    _this.appService.alert(d.errmsg);
                                }
                                else if (d.errcode == -1) {
                                    _this.appUtil.remindLogin();
                                }
                                else {
                                    _this.appService.alert('网络繁忙，请稍候重试');
                                }
                            }
                            else {
                                _this.appService.alert('网络繁忙，请稍候重试');
                            }
                        });
                    }
                }
            ]
        });
        alert.present();
    };
    FriendshipPage.prototype.verifyAndGo = function (pageName) {
        var _this = this;
        if (this.checkLogin()) {
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.friendshipVerify, {
                token: window.localStorage.getItem('token')
            }, function (d) {
                if (d != null && d != undefined) {
                    if (d.errcode == -1) {
                        _this.appUtil.remindLogin();
                    }
                    else if (d.errcode == 0) {
                        _this.navCtrl.push(pageName);
                    }
                    else if (d.errcode == 1) {
                        var alert_2 = _this.alertCtrl.create({
                            title: '温馨提示',
                            message: '您还没有认证单身会员，需要认证单身会员才能进行相应操作',
                            buttons: [
                                {
                                    text: '取消',
                                    role: 'cancel',
                                    handler: function () {
                                    }
                                },
                                {
                                    text: '去认证',
                                    handler: function () {
                                        _this.navCtrl.push('FriendshipVerifyPage');
                                    }
                                }
                            ]
                        });
                        alert_2.present();
                    }
                    else if (d.errcode == 2) {
                        _this.navCtrl.push('FriendshipUploadPage');
                    }
                    else if (d.errcode == 3) {
                        // this.navCtrl.push('FriendshipAuditPage');
                        _this.appService.alert('审核中，请耐心等候。');
                    }
                    else if (d.errcode == 4) {
                        // this.navCtrl.push('FriendshipAuditPage', { 'audit_status': 2, 'msg': d.errmsg });
                        var alert_3 = _this.alertCtrl.create({
                            title: '审核未通过',
                            message: '未通过原因：' + d.errmsg,
                            buttons: [
                                {
                                    text: '返回',
                                    role: 'cancel',
                                    handler: function () {
                                        // this.navCtrl.push("HomePage");
                                        _this.navCtrl.popToRoot();
                                    }
                                },
                                {
                                    text: '查看修改信息',
                                    handler: function () {
                                        //跳转至登录页面
                                        // localStorage.clear();
                                        // this.presentLoginModal();
                                        _this.navCtrl.push('FriendshipPersonalInfoPage');
                                    }
                                }
                            ]
                        });
                        alert_3.present();
                    }
                    else {
                        _this.appService.alert(d.errmsg);
                    }
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            });
        }
    };
    FriendshipPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-friendship',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\friendship\friendship.html"*/'<!--\n\n  Generated template for the TuoDanPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>婚恋交友</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <ion-list>\n\n\n\n    <ion-item class="item" (click)="toDetail(info.id)">\n\n      <div style="float:left;">\n\n        <div class="textCtrl-title item-title">基本信息\n\n          <span style="color:green;">({{info.audit_status_str}})</span>\n\n        </div>\n\n        <div class="textCtrl-content item-row-content">姓　　名：{{info.name}}</div>\n\n        <div class="textCtrl-content item-row-content">性　　别：{{info.gender_str}}</div>\n\n        <div class="textCtrl-content item-row-content">民　　族：{{info.nation}}</div>\n\n        <div class="textCtrl-content item-row-content">年　　龄：{{info.age}}</div>\n\n        <div class="textCtrl-content item-row-content">婚姻状况：{{info.marriage}}</div>\n\n        <div class="textCtrl-content item-row-content">学　　历：{{info.education}}</div>\n\n      </div>\n\n      <div class="textCtrl-content" style="width:5%;float:right" *ngIf="info.id>0">\n\n        <ion-icon name="arrow-forward"></ion-icon>\n\n      </div>\n\n    </ion-item>\n\n\n\n\n\n    <!-- <button ion-item class="item" (click)="myActivity()">\n\n      <span class="textCtrl-title">我的活动</span>\n\n    </button> -->\n\n    <button ion-item class="item" (click)="recommendList()">\n\n      <span class="textCtrl-title">推荐列表</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="verifyAndGo(\'FriendshipActivityListPage\')">\n\n      <span class="textCtrl-title">活动列表</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="verifyAndGo(\'FriendshipLikeEachOtherPage\')">\n\n      <span class="textCtrl-title">互相喜欢列表</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="verifyAndGo(\'FriendshipWhoLikeMePage\')">\n\n      <span class="textCtrl-title">谁喜欢我</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="verifyAndGo(\'FriendshipILikeWhoPage\')">\n\n      <span class="textCtrl-title">我喜欢谁</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="verifyAndGo(\'FriendshipMessageListPage\')">\n\n      <span class="textCtrl-title">留言列表</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="verifyAndGo(\'FriendshipLiveListPage\')">\n\n      <span class="textCtrl-title">直播</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="verifyAndGo(\'FriendshipVideoListPage\')">\n\n      <span class="textCtrl-title">优秀单身青年展播</span>\n\n    </button>\n\n\n\n  </ion-list>\n\n\n\n</ion-content>\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive (click)="logout()" *ngIf="info.audit_status>0">注销单身会员</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\friendship\friendship.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], FriendshipPage);
    return FriendshipPage;
}());

//# sourceMappingURL=friendship.js.map

/***/ })

});
//# sourceMappingURL=141.js.map