webpackJsonp([150],{

/***/ 494:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FriendshipMessageDetailPageModule", function() { return FriendshipMessageDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__friendship_message_detail__ = __webpack_require__(668);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FriendshipMessageDetailPageModule = /** @class */ (function () {
    function FriendshipMessageDetailPageModule() {
    }
    FriendshipMessageDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__friendship_message_detail__["a" /* FriendshipMessageDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__friendship_message_detail__["a" /* FriendshipMessageDetailPage */]),
            ],
        })
    ], FriendshipMessageDetailPageModule);
    return FriendshipMessageDetailPageModule;
}());

//# sourceMappingURL=friendship-message-detail.module.js.map

/***/ }),

/***/ 668:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FriendshipMessageDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_add_reply_message_add_reply_message__ = __webpack_require__(287);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the FriendshipMessageDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var FriendshipMessageDetailPage = /** @class */ (function () {
    function FriendshipMessageDetailPage(navCtrl, navParams, appService, appUtil, sanitizer, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.sanitizer = sanitizer;
        this.modalCtrl = modalCtrl;
        this.messageInfo = [];
        this.message_id = this.navParams.get('message_id');
        this.message_type = this.navParams.get('message_type');
    }
    FriendshipMessageDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad FriendshipMessageDetailPage');
        this.getMessageInfo();
    };
    /**
     * 文本处理
     * @param strHTML
     */
    FriendshipMessageDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    /**
     * 获取留言详情
     */
    FriendshipMessageDetailPage.prototype.getMessageInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getMessageDetail, { message_id: this.message_id, token: window.localStorage.getItem('token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.messageInfo = d;
                    console.log('this.messageInfo', _this.messageInfo);
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /* 留言回复 */
    FriendshipMessageDetailPage.prototype.reply = function (myEvent, id) {
        var _this = this;
        var leaveMessage = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_add_reply_message_add_reply_message__["a" /* AddReplyMessageComponent */], { message_id: id });
        leaveMessage.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.appService.alert(data.msg);
                    _this.getMessageInfo();
                }
            }
        });
        leaveMessage.present({
            ev: myEvent
        });
    };
    FriendshipMessageDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-friendship-message-detail',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\friendship-message-detail\friendship-message-detail.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>详情信息</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;">\n\n    <!-- <ion-avatar item-left style="position:relative;height:40px;width:40px;">\n\n      <img style="display:inline-block;position:absolute;" src="../assets/imgs/img1_01.jpg">\n\n    </ion-avatar> -->\n\n    <span class="textCtrl-title" style="line-height:35px;text-align:center;">{{messageInfo.person_name}}(留言人)</span>\n\n    <!-- <span style="font-size:1.4rem;color:#8e9093;display:inherit;">年龄:{{personInfo.age}}岁</span> -->\n\n    <span\n\n      style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:#E13A3E">{{messageInfo.is_reply}}</span>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      留言时间\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{messageInfo.create_time}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      留言标题\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(messageInfo.title)"></div>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content" style="border-bottom:none;">\n\n    <h3 class="ion-title textCtrl-title">\n\n      留言内容\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(messageInfo.content)"></div>\n\n  </ion-item>\n\n\n\n  <ng-container >\n\n    <div class="item item-divider" style="background-color:#d0cece;height:5px;"></div>\n\n    <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;">\n\n      <!-- <ion-avatar item-left style="position:relative;height:40px;width:40px;">\n\n      <img style="display:inline-block;position:absolute;" src="../assets/imgs/img1_01.jpg">\n\n    </ion-avatar> -->\n\n      <h3 class="textCtrl-title" style="line-height:35px;text-align:center;float:left;">\n\n        {{messageInfo.reply_person_name}}(留言对象)</h3>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        回复时间\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{messageInfo.reply_time}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        回复内容\n\n      </h3>\n\n      <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n        [innerHTML]="assembleHTML(messageInfo.reply_content)"></div>\n\n    </ion-item>\n\n  </ng-container>\n\n\n\n</ion-content>\n\n\n\n<ion-footer no-border *ngIf="messageInfo.is_reply_type==\'0\' && message_type==\'2\' && messageInfo.like_each_other==1">\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive (click)="reply($event,messageInfo.id)">回复</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\friendship-message-detail\friendship-message-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */]])
    ], FriendshipMessageDetailPage);
    return FriendshipMessageDetailPage;
}());

//# sourceMappingURL=friendship-message-detail.js.map

/***/ })

});
//# sourceMappingURL=150.js.map