webpackJsonp([159],{

/***/ 485:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FriendshipActivityDetailPageModule", function() { return FriendshipActivityDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__friendship_activity_detail__ = __webpack_require__(659);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FriendshipActivityDetailPageModule = /** @class */ (function () {
    function FriendshipActivityDetailPageModule() {
    }
    FriendshipActivityDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__friendship_activity_detail__["a" /* FriendshipActivityDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__friendship_activity_detail__["a" /* FriendshipActivityDetailPage */]),
            ],
        })
    ], FriendshipActivityDetailPageModule);
    return FriendshipActivityDetailPageModule;
}());

//# sourceMappingURL=friendship-activity-detail.module.js.map

/***/ }),

/***/ 659:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FriendshipActivityDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_service__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the FriendshipActivityDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var FriendshipActivityDetailPage = /** @class */ (function () {
    function FriendshipActivityDetailPage(navCtrl, navParams, appService, sanitizer, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.sanitizer = sanitizer;
        this.appUtil = appUtil;
        this.activity = {};
        this.activity_id = this.navParams.get('activity_id');
    }
    FriendshipActivityDetailPage.prototype.ionViewDidLoad = function () {
    };
    FriendshipActivityDetailPage.prototype.ionViewWillEnter = function () {
        this.getActivityDetail();
    };
    /**
    * 获取活动详情
    */
    FriendshipActivityDetailPage.prototype.getActivityDetail = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.getActivityDetail, { token: window.localStorage.getItem('token'), activity_id: this.activity_id }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.activity = d;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 文本处理
     * @param strHTML
     */
    FriendshipActivityDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    FriendshipActivityDetailPage.prototype.showApplyList = function (activity_id) {
        this.navCtrl.push('FriendshipActivityApplyListPage', {
            'activity_id': activity_id
        });
    };
    /**
    * 立即报名
    */
    FriendshipActivityDetailPage.prototype.apply = function () {
        var _this = this;
        // this.appUtil.alert("温馨提醒", "实现中", "确定");
        this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.applyActivity, { token: window.localStorage.getItem('token'), activity_id: this.activity_id }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 取消报名
     */
    FriendshipActivityDetailPage.prototype.cancelApply = function () {
        var _this = this;
        this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.cancelApplyActivity, { token: window.localStorage.getItem('token'), activity_id: this.activity_id }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    FriendshipActivityDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-friendship-activity-detail',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\friendship-activity-detail\friendship-activity-detail.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>活动详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>  \n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      活动名称\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activity.name}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      活动开始时间\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activity.start_time}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      活动结束时间\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activity.end_time}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      活动报名开始时间\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activity.apply_start_time}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      活动报名结束时间\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activity.apply_end_time}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      男性报名人数限制\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activity.require_male_num}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      女性报名人数限制\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activity.require_female_num}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      最小报名年龄\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activity.require_min_age}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      最大报名年龄\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activity.require_max_age}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      人员居住地要求\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activity.require_area}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      已参加人数\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activity.apply_count}}</p>\n\n  </ion-item>\n\n\n\n  <button ion-item class="item-content" (click)="showApplyList(activity.id)">\n\n    <h3 class="ion-title textCtrl-title">\n\n      已参加列表\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>点击查看</p>\n\n  </button>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      活动内容\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(activity.content)"></div>\n\n  </ion-item>\n\n</ion-content>\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive *ngIf="activity.applied==0" (click)="apply()">立即报名</button>\n\n    <button ion-button block button-positive *ngIf="activity.applied==1" (click)="cancelApply()">取消报名</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\friendship-activity-detail\friendship-activity-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], FriendshipActivityDetailPage);
    return FriendshipActivityDetailPage;
}());

//# sourceMappingURL=friendship-activity-detail.js.map

/***/ })

});
//# sourceMappingURL=159.js.map