webpackJsonp([164],{

/***/ 479:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CouponsPageModule", function() { return CouponsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__coupons__ = __webpack_require__(653);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CouponsPageModule = /** @class */ (function () {
    function CouponsPageModule() {
    }
    CouponsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__coupons__["a" /* CouponsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__coupons__["a" /* CouponsPage */]),
            ],
        })
    ], CouponsPageModule);
    return CouponsPageModule;
}());

//# sourceMappingURL=coupons.module.js.map

/***/ }),

/***/ 653:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CouponsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_identify_identify__ = __webpack_require__(135);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the CouponsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CouponsPage = /** @class */ (function () {
    function CouponsPage(navCtrl, navParams, appService, alertCtrl, modalCtrl, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.params = {
            page: 1,
            size: 10,
            token: localStorage.getItem('token')
        };
        this.token = localStorage.getItem('token');
        this.hasmore = true;
        this.coupons = [];
        this.totalCount = 0;
    }
    /**
     * 进入页面生命周期
     */
    CouponsPage.prototype.ionViewWillEnter = function () {
        this.initList();
        this.checkAuthorization();
    };
    /**
     * 进入页面时，校验是否已进行四要素验证
     */
    CouponsPage.prototype.checkAuthorization = function () {
        var _this = this;
        if (JSON.parse(localStorage.getItem('jilinapp_jl.user')).is_authorization != 1) {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有实名认证，不能参与优惠券活动。',
                enableBackdropDismiss: false,
                buttons: [
                    {
                        text: '暂不认证',
                        handler: function () {
                            _this.navCtrl.pop();
                        }
                    }, {
                        text: '去实名认证',
                        role: 'cancel',
                        handler: function () {
                            var identifyModal = _this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_identify_identify__["a" /* IdentifyComponent */]);
                            identifyModal.onDidDismiss(function (data) {
                                _this.checkAuthorization();
                            });
                            identifyModal.present({});
                        }
                    }
                ]
            });
            alert_1.present();
        }
        else {
        }
    };
    /**
     * 进入优惠券详情页面
     * @param id 优惠券id
     */
    CouponsPage.prototype.toDetail = function (id) {
        this.navCtrl.push('CouponsDetailPage', { 'couponId': id, 'coupon_status': 0, 'deleted': 0 });
    };
    /**
     * 领券
     * @param id 优惠券id
     * @param event 点击事件
     */
    CouponsPage.prototype.getCoupon = function (id, event) {
        var _this = this;
        event.stopPropagation();
        this.appService.httpHdGetWithLoading(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCoupon, {
            token: localStorage.getItem('token'),
            couponId: id
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(_this.appUtil.assembleHTML(d.errmsg));
                    _this.initList();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -3) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 加载优惠券列表
     */
    CouponsPage.prototype.getCouponsList = function () {
        var _this = this;
        this.params.token = localStorage.getItem('token');
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.couponList, this.params, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.coupons = d;
                    _this.totalCount = d.length;
                    _this.params.page += 1;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 刷新列表
     * @param refresher 刷新器
     */
    CouponsPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 列表初始化
     */
    CouponsPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getCouponsList();
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll 加载器
     */
    CouponsPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.couponList, this.params, function (d) {
            if (d.length > 0) {
                _this.coupons = _this.coupons.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
            }
        });
        infiniteScroll.complete();
    };
    CouponsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-coupons',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\coupons\coupons.html"*/'<!--\n  Generated template for the HousekeepListPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>优惠券列表</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n        <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n          refreshingText="加载中...">\n        </ion-refresher-content>\n      </ion-refresher>\n\n<ion-list no-lines>\n  <ion-card *ngFor="let coupon of coupons" (click)="toDetail(coupon.id)" style="border-bottom: 0.55px solid #c8c7cc">\n    <ion-card-content>\n      \n      <ion-item no-padding>\n        <div class="subscript" *ngIf="coupon.coupon_status==1"><span>已领取</span></div>\n        <div class="subscript" *ngIf="coupon.coupon_status==2"><span>已过期</span></div>\n        <div style="display:inline-block;width:18%">\n          <img style="width:50px;height:50px;" src="{{coupon.img}}">\n        </div>\n        <div style="display:inline-block;position:absolute;width:90%;top:5px">\n          <span class="textCtrl-title" text-wrap *ngIf="coupon.name.length<=15">{{coupon.name}}</span>\n          <span class="textCtrl-title" text-wrap *ngIf="coupon.name.length>15">{{coupon.name.substring(0,15)}}…</span>\n          <p class="textCtrl-content" style="width:65%;" text-wrap *ngIf="coupon.describe.length<=30">{{coupon.describe}}</p>\n          <p class="textCtrl-content" style="width:65%;" text-wrap *ngIf="coupon.describe.length>30">{{coupon.describe.substring(0,30)}}…</p>\n          <p class="textCtrl-content" text-wrap style="position:absolute;top:55px;">开始时间：{{coupon.coupon_begin_date}}</p> \n          <p class="textCtrl-content" text-wrap style="position:absolute;top:72px;">结束时间：{{coupon.coupon_end_date}}</p>          \n        </div>\n        <div style="display:inline-block;width:80%;" *ngIf="coupon.coupon_status==0">\n          <p style="position:absolute;top:35px;right:10px;float:right;font-size:1.2rem;border:0.55px solid #E13A3E;width:55px;line-height:25px;border-radius:15px;text-align:center;background:#E13A3E;color:white;" (click)="getCoupon(coupon.id,$event)">领取</p>\n        </div>\n      </ion-item>\n    </ion-card-content>\n  </ion-card>\n</ion-list>\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n    </ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\coupons\coupons.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], CouponsPage);
    return CouponsPage;
}());

//# sourceMappingURL=coupons.js.map

/***/ })

});
//# sourceMappingURL=164.js.map