webpackJsonp([170],{

/***/ 472:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AttendVotePageModule", function() { return AttendVotePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__attend_vote__ = __webpack_require__(646);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AttendVotePageModule = /** @class */ (function () {
    function AttendVotePageModule() {
    }
    AttendVotePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__attend_vote__["a" /* AttendVotePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__attend_vote__["a" /* AttendVotePage */]),
            ],
        })
    ], AttendVotePageModule);
    return AttendVotePageModule;
}());

//# sourceMappingURL=attend-vote.module.js.map

/***/ }),

/***/ 646:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AttendVotePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the AttendVotePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var AttendVotePage = /** @class */ (function () {
    function AttendVotePage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.project_id = this.navParams.get('vote_id');
        this.token = window.localStorage.getItem('token');
        this.voteDetail = [];
        this.params = {
            project_id: this.project_id,
            token: this.token
        };
    }
    AttendVotePage.prototype.ionViewDidLoad = function () {
        this.getVoteDetail();
    };
    AttendVotePage.prototype.getVoteDetail = function () {
        var _this = this;
        this.voteDetail = JSON.parse(localStorage.getItem('jilinapp_jl.voteDetail')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getVoteDetail, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.voteDetail = d;
                    _this.project_name = _this.voteDetail[0].project_name;
                    _this.answer_time = _this.voteDetail[0].answer_date;
                    localStorage.setItem('jilinapp_jl.voteDetail', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    AttendVotePage.prototype.checkLogin = function () {
        this.token = window.localStorage.getItem('token');
        //console.log('token=='+this.token);
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    AttendVotePage.prototype.goVoteDetail = function (voteAnswer_id) {
        if (this.checkLogin()) {
            this.navCtrl.push('VoteDetailPage', {
                answer_id: voteAnswer_id,
                project_id: this.project_id
            });
        }
    };
    AttendVotePage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    AttendVotePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-attend-vote',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\attend-vote\attend-vote.html"*/'<!--\n\n  Generated template for the AttendVotePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>已参加的投票活动</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content> \n\n    <section>\n\n      <ion-list class="title_list">\n\n        <ion-item>\n\n          <div class="vote_name textCtrl-title">{{project_name}}</div>\n\n          <div class="prompt textCtrl-title">投票情况（参加投票时间：{{answer_time}}）</div>\n\n        </ion-item>\n\n      </ion-list>\n\n    </section>\n\n  \n\n    <ion-grid>\n\n      <ion-row>\n\n        <ion-col class="item" col-6 col-sm-6 *ngFor="let voteAnswer of voteDetail">\n\n          <img class="vote_pic" src={{voteAnswer.img}} (click)="goVoteDetail(voteAnswer.id)">\n\n          \n\n          <div class="item-content textCtrl-content" [innerHTML]="assembleHTML(voteAnswer.content)"></div>\n\n          <div class="item-content textCtrl-content">({{voteAnswer.count}}票)</div>\n\n          <div class="item-content item-link textCtrl-content" (click)="goVoteDetail(voteAnswer.id)">查看详情</div>        \n\n      </ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n  </ion-content> \n\n'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\attend-vote\attend-vote.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */], __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], AttendVotePage);
    return AttendVotePage;
}());

//# sourceMappingURL=attend-vote.js.map

/***/ })

});
//# sourceMappingURL=170.js.map