webpackJsonp([52],{

/***/ 591:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StudyEditInfoPageModule", function() { return StudyEditInfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__study_edit_info__ = __webpack_require__(766);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var StudyEditInfoPageModule = /** @class */ (function () {
    function StudyEditInfoPageModule() {
    }
    StudyEditInfoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__study_edit_info__["a" /* StudyEditInfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__study_edit_info__["a" /* StudyEditInfoPage */]),
            ],
        })
    ], StudyEditInfoPageModule);
    return StudyEditInfoPageModule;
}());

//# sourceMappingURL=study-edit-info.module.js.map

/***/ }),

/***/ 766:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StudyEditInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_login_login__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_angular_components_alert_alert_controller__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_android_permissions__ = __webpack_require__(56);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__angular_platform_browser__ = __webpack_require__(36);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








/**
 * Generated class for the StudyEditInfoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var StudyEditInfoPage = /** @class */ (function () {
    function StudyEditInfoPage(navCtrl, navParams, appUtil, appService, alertCtrl, modalCtrl, viewCtrl, sanitizer, actionSheetCtrl, androidPermissions) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appUtil = appUtil;
        this.appService = appService;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.viewCtrl = viewCtrl;
        this.sanitizer = sanitizer;
        this.actionSheetCtrl = actionSheetCtrl;
        this.androidPermissions = androidPermissions;
        this.token = localStorage.getItem('token') || null;
        this.type = this.navParams.get('type'); //type=2表示从已获学历申请而来，申领须知有变化
        this.project_id = this.navParams.get('project_id'); //当type=2时同时传project_id
        this.member = {
            applicant_type: ''
        };
        this.hide = {
            show: false,
            type: 0,
            code: 0
        };
        this.applicant_type = [{ code: 1, name: "一线职工" }]; //职业
        this.info = {};
        this.apply = {
            applicant_type: ''
        };
        this.userData = {};
    }
    /* 文本处理 */
    StudyEditInfoPage.prototype.assembleHTMLassembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    /**
    * 获取申请人类别代码表
    */
    StudyEditInfoPage.prototype.getJobs = function () {
        var _this = this;
        this.applicant_type = JSON.parse(localStorage.getItem('jilinapp_jl.applicant_type')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.getCodeList, {
            list_name: 'ct_applicant_type',
            schema: 'study'
        }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.applicant_type = d;
                    localStorage.setItem('jilinapp_jl.applicant_type', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取用户基本信息
     */
    StudyEditInfoPage.prototype.getUserInfo = function () {
        var _this = this;
        //console.log("id_card", this.id_card);
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.getStudyInfo, { token: localStorage.getItem('token') }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.info = d;
                    _this.hide.type = d.applicant_type_value;
                    if ((_this.hide.type == 1)) {
                        _this.hide.code = 1;
                        _this.hide.show = true;
                    }
                    else if ((_this.hide.type == 2)) {
                        _this.hide.code = 2;
                        _this.hide.show = true;
                    }
                    else if ((_this.hide.type == 5)) {
                        _this.hide.code = 3;
                        _this.hide.show = true;
                    }
                    else if ((_this.hide.type == 4)) {
                        _this.hide.code = 2;
                        _this.hide.show = false;
                    }
                    else if ((_this.hide.type == 3)) {
                        _this.hide.code = 1;
                        _this.hide.show = false;
                    }
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取资格认证信息
     */
    StudyEditInfoPage.prototype.getApplyInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.ApplyInfo, { token: localStorage.getItem('token') }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.apply = d;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
    * 保存资料
    *
    */
    StudyEditInfoPage.prototype.onSubmit = function () {
        var _this = this;
        if (!this.verifyUserProtocol()) {
            return;
        }
        if (this.checkLogin1()) {
            if (typeof (this.apply.applicant_type) == 'undefined' || this.apply.applicant_type.toString().length === 0) {
                this.appService.alert('请选择申请人类别！');
                return;
            }
            this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.addStudioInfo, //1.url
            {
                token: window.localStorage.getItem('token'),
                applicant_type: this.apply.applicant_type,
            }, function (d) {
                if (d != null) {
                    if (d.errcode == -1) {
                        _this.appUtil.remindLogin();
                    }
                    else if (d.errcode == 0) {
                        _this.appService.alert('保存成功');
                        if (_this.type == 2) {
                            _this.navCtrl.pop();
                        }
                        else {
                            _this.navCtrl.push('StudyApplyPage');
                        }
                    }
                    else {
                        _this.appService.alert(d.errmsg);
                    }
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            });
        }
    };
    /**
     * 选中改变
     */
    StudyEditInfoPage.prototype.selectChange = function () {
        console.log(this.selectedValue);
        this.userData.userprotocal = this.selectedValue;
    };
    StudyEditInfoPage.prototype.userProtocol = function () {
        //this.appService.alert("用户协议");
        if (this.type == 2) {
            this.navCtrl.push('StudyGradProtocolPage', { project_id: this.project_id });
        }
        else {
            this.navCtrl.push('StudyProtocolPage');
        }
    };
    /**
     * 验证是否勾选用户协议及隐私协议
     */
    StudyEditInfoPage.prototype.verifyUserProtocol = function () {
        var userprotocal = this.userData.userprotocal;
        if (!userprotocal) {
            this.appService.alert('请勾选已阅读并同意《申领须知》后进行下一步！');
            return false;
        }
        else {
            return true;
        }
    };
    StudyEditInfoPage.prototype.checkLogin1 = function () {
        var _this = this;
        this.token = window.localStorage.getItem('token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '如果您已经是会员，请点击“现在登录”按钮进行注册登录。如果不是会员，请在首页我要入会提交入会信息，成为会员后才能进行信息申报。',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            //this.navCtrl.push("HomePage");
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            for (var i = 0; i < localStorage.length; i++) {
                                //console.log(localStorage.key(i));
                                if (localStorage.key(i) != 'jilinapp_jl.isFirstLogin') {
                                    localStorage.removeItem(localStorage.key(i));
                                }
                            }
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
        return true;
    };
    StudyEditInfoPage.prototype.presentLoginModal = function (myEvent) {
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    //this.initList();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    StudyEditInfoPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad StudyEditInfoPage');
        this.getUserInfo();
        this.getApplyInfo();
        this.getJobs();
    };
    StudyEditInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-study-edit-info',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\study-edit-info\study-edit-info.html"*/'<!--\n\n  Generated template for the StudyEditInfoPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>资格认证信息</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n    <form method="post" content-type="application/x-www-from-urlencoded" #add_member_form="ngForm">\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n        <span style="font-size:inherit;">\n\n          所属单位\n\n        </span>\n\n        <input readonly [(ngModel)]="info.company" name="company" pattern=""  required\n\n          style="text-align:right;float:right;border:none;width:70%;" />\n\n      </ion-item>\n\n      <ion-item  class="textCtrl-content" style="border-bottom:none;">\n\n          <span style="font-size:inherit;">\n\n          所属工会\n\n        </span>\n\n       <input readonly [(ngModel)]="info.org_name" name="org_name" pattern=""  required\n\n          style="text-align:right;float:right;border:none;width:100%;" />\n\n      </ion-item>\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n          <span style="font-size:inherit;">\n\n          姓名\n\n        </span>\n\n        <input readonly [(ngModel)]="info.name" name="name" pattern="" required\n\n          style="text-align:right;float:right;border:none;width:70%;" />\n\n      </ion-item>\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n          <span style="font-size:inherit;">\n\n          身份证号\n\n        </span>\n\n        <input readonly [(ngModel)]="info.id_card" name="id_card" pattern="" required\n\n          style="text-align:right;float:right;border:none;width:70%;" />\n\n      </ion-item>\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n          <span style="font-size:inherit;">\n\n          岗位状态\n\n        </span>\n\n        <input readonly [(ngModel)]="info.job_status" name="job_status" pattern="" required\n\n          style="text-align:right;float:right;border:none;width:70%;" />\n\n      </ion-item>\n\n      <!-- 申请人类别 -->\n\n      <ion-item class="item-content" style="padding-left:16px;padding-right:16px;font-size:1.6rem;">\n\n        <ion-label>\n\n          <font style="color:red">*</font>申请人类别\n\n        </ion-label>\n\n        <ion-select style="font-size:1.4rem;" name="applicant_type" [(ngModel)]="apply.applicant_type" #HoldSituation okText="确定"  cancelText="取消"\n\n          placeholder="请选择申请人类别">\n\n          <ng-container *ngFor="let item1 of applicant_type">\n\n              <ng-container *ngIf="item1.code == hide.code">\n\n                <ion-option value=\'{{item1.code}}\' *ngIf="!hide.show" disabled selected>{{item1.name}}</ion-option>\n\n                <ion-option value=\'{{item1.code}}\' *ngIf="hide.show" selected>{{item1.name}}</ion-option>\n\n              </ng-container>\n\n              <ng-container *ngIf="item1.code != hide.code">\n\n                <ion-option value=\'{{item1.code}}\' *ngIf="!hide.show" >{{item1.name}}</ion-option>\n\n                <ion-option value=\'{{item1.code}}\' *ngIf="hide.show" disabled>{{item1.name}}</ion-option>\n\n              </ng-container>\n\n            </ng-container>\n\n        </ion-select>\n\n      </ion-item>\n\n    </form>\n\n    <div style="margin-left:2px;margin-right:2px;border:0;">\n\n      <p class="desc">温馨提示：如果岗位状态等信息与实际不一致，请联系所在工会进行确认调整。</p>\n\n    </div>\n\n    <div style="margin-top:5%;text-align:center;">\n\n        <div style="display:inline-block;">\n\n          <ion-checkbox color="danger" checked [(ngModel)]="selectedValue" (ionChange)="selectChange()" slot="start">\n\n          </ion-checkbox>\n\n        </div>\n\n        <div style="display: initial;font-size: 1.4rem;">我已阅读并同意\n\n          <span style="color:blue;" (click)="userProtocol()">《申领须知》</span>\n\n        </div>\n\n      </div>\n\n  </ion-content>\n\n  \n\n  <ion-footer no-border>\n\n    <ion-toolbar>\n\n      <button ion-button block color="primary" (click)="onSubmit()">确认保存资格认证信息</button>\n\n    </ion-toolbar>\n\n  </ion-footer>\n\n'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\study-edit-info\study-edit-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular_components_alert_alert_controller__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_7__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_android_permissions__["a" /* AndroidPermissions */]])
    ], StudyEditInfoPage);
    return StudyEditInfoPage;
}());

//# sourceMappingURL=study-edit-info.js.map

/***/ })

});
//# sourceMappingURL=52.js.map