webpackJsonp([68],{

/***/ 618:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceStationPageModule", function() { return ServiceStationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_station__ = __webpack_require__(793);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceStationPageModule = /** @class */ (function () {
    function ServiceStationPageModule() {
    }
    ServiceStationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_station__["a" /* ServiceStationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__service_station__["a" /* ServiceStationPage */]),
            ],
        })
    ], ServiceStationPageModule);
    return ServiceStationPageModule;
}());

//# sourceMappingURL=service-station.module.js.map

/***/ }),

/***/ 793:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceStationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(40);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_station_search_station_search__ = __webpack_require__(302);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the ServiceStationPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServiceStationPage = /** @class */ (function () {
    function ServiceStationPage(navCtrl, navParams, appService, modalCtrl, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.hasmore = true;
        this.stationsList = [];
        this.params = {
            page: 1,
            size: 10,
            station_name: '',
            longitude: window.localStorage.getItem('longitude'),
            latitude: window.localStorage.getItem('latitude') //纬度 这个最后加了定位插件再传值
        };
    }
    ServiceStationPage.prototype.ionViewDidLoad = function () {
        // console.log('latitude==',this.params.latitude);
        // console.log('longitude==',this.params.longitude);
        this.getStationList();
    };
    ServiceStationPage.prototype.getStationList = function () {
        var _this = this;
        this.stationsList = JSON.parse(localStorage.getItem('jilinapp_jl.stationList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getStationList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.stationsList = d;
                    _this.params.page += 1;
                    localStorage.setItem('jilinapp_jl.stationList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    ServiceStationPage.prototype.trackByStationList = function (index, stationsList) {
        return stationsList.id;
    };
    ServiceStationPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.params.station_name = '';
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    ServiceStationPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getStationList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.stationsList = _this.stationsList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                // console.log("没有数据啦！")
            }
            infiniteScroll.complete();
        });
    };
    /**
    * 刷新时需要初始化页数和是否还有数据的标志
    */
    ServiceStationPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getStationList();
    };
    /**
     * 打开搜索模态框
     * @param myEvent
     */
    ServiceStationPage.prototype.openServiceSearchModal = function (myEvent) {
        var _this = this;
        var searchModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_station_search_station_search__["a" /* StationSearchComponent */]);
        searchModal.onDidDismiss(function (data) {
            _this.params.station_name = data;
            _this.initList();
        });
        searchModal.present({
            ev: myEvent
        });
    };
    ServiceStationPage.prototype.goDetail = function (station_id) {
        this.navCtrl.push('ServiceStationDetailPage', {
            station_id: station_id
        });
    };
    ServiceStationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-service-station',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\service-station\service-station.html"*/'<!--\n\n  Generated template for the ServiceStationPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>工会服务站</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="openServiceSearchModal($event)">\n\n        <ion-icon name="search" ></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content >\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content\n\n      pullingIcon="arrow-dropdown"\n\n      pullingText="下拉刷新"\n\n      refreshingSpinner="circles"\n\n      refreshingText="加载中..."\n\n    >\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <ion-searchbar *ngIf="show" (ionInput)="getItems($event)" placeholder="服务站名称"></ion-searchbar>  \n\n  <section>\n\n    <ion-list >    \n\n      <ion-item *ngIf=\'stationsList.length==0||stationsList.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#666">暂无工会服务站，敬请期待</p>\n\n      </ion-item>\n\n      <ion-item class="item" *ngFor="let station of stationsList trackBy:trackByStationList" (click)="goDetail(station.id)">                \n\n        <ion-avatar item-left>              \n\n          <img src={{station.img}}>            \n\n        </ion-avatar>        \n\n        <h3 class="textCtrl-title">{{station.name}}</h3>   \n\n        <div style="padding:0"><ion-icon name="star" *ngFor="let item of station.star"></ion-icon></div>     \n\n        <p class="textCtrl-content">地址：{{station.address}}</p>           \n\n      </ion-item>             \n\n    </ion-list>\n\n  </section>\n\n    \n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content\n\n      loadingSpinner="bubbles"\n\n      loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\service-station\service-station.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */]])
    ], ServiceStationPage);
    return ServiceStationPage;
}());

//# sourceMappingURL=service-station.js.map

/***/ })

});
//# sourceMappingURL=68.js.map