webpackJsonp([80],{

/***/ 565:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceActionPageModule", function() { return ServiceActionPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_action__ = __webpack_require__(740);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceActionPageModule = /** @class */ (function () {
    function ServiceActionPageModule() {
    }
    ServiceActionPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_action__["a" /* ServiceActionPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__service_action__["a" /* ServiceActionPage */]),
            ],
        })
    ], ServiceActionPageModule);
    return ServiceActionPageModule;
}());

//# sourceMappingURL=service-action.module.js.map

/***/ }),

/***/ 740:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceActionPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(40);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_login_login__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ionic_angular_components_alert_alert_controller__ = __webpack_require__(26);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the ServiceActionPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServiceActionPage = /** @class */ (function () {
    function ServiceActionPage(navCtrl, navParams, appService, modalCtrl, appUtil, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.actions = [];
        this.hasmore = true;
        this.token = window.localStorage.getItem('token');
        this.params = {
            page: 1,
            size: 10,
            token: window.localStorage.getItem('token')
        };
        this.params.token = this.token;
    }
    ServiceActionPage.prototype.ionViewDidLoad = function () {
        this.getActionsList();
    };
    /**
     * 获取活动列表
     */
    ServiceActionPage.prototype.getActionsList = function () {
        var _this = this;
        this.actions = JSON.parse(localStorage.getItem('jilinapp_jl.serviceActions')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getServiceActionList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.actions = d;
                    _this.params.page += 1;
                    localStorage.setItem('jilinapp_jl.serviceActions', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 打开搜索模态框
     * @param myEvent
     */
    /*
    openServiceSearchModal(myEvent){
      let searchModal = this.modalCtrl.create(ServiceSearchComponent);
      searchModal.onDidDismiss(data => {
        this.initList();
      });
      searchModal.present({
        ev: myEvent
      });
  
    }
    */
    /**
    * 刷新时需要初始化页数和是否还有数据的标志
    */
    ServiceActionPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getActionsList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    ServiceActionPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    ServiceActionPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getServiceActionList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.actions = _this.actions.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param actives
     */
    ServiceActionPage.prototype.trackByActionsList = function (index, actives) {
        return actives.id;
    };
    ServiceActionPage.prototype.goDetail = function (action_id) {
        this.navCtrl.push('ServiceActionDetailPage', {
            'action_id': action_id
        });
    };
    //Modal打开login
    ServiceActionPage.prototype.presentLoginModal = function (myEvent) {
        var _this = this;
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.params.page = 1;
                    _this.getActionsList();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    ServiceActionPage.prototype.checkLogin = function () {
        var _this = this;
        this.token = window.localStorage.getItem('token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            _this.navCtrl.parent.select(0);
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            for (var i = 0; i < localStorage.length; i++) {
                                //console.log(localStorage.key(i));
                                if (localStorage.key(i) != 'jilinapp_jl.isFirstLogin') {
                                    localStorage.removeItem(localStorage.key(i));
                                }
                            }
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
        return true;
    };
    ServiceActionPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-service-action',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\service-action\service-action.html"*/'<!--\n\n  Generated template for the ServiceBatchPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>普惠服务行动列表</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content\n\n      pullingIcon="arrow-dropdown"\n\n      pullingText="下拉刷新"\n\n      refreshingSpinner="circles"\n\n      refreshingText="加载中..."\n\n    >\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <ion-list >   \n\n	  <ion-item *ngIf=\'actions.length==0||actions.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#666">暂无普惠服务行动</p>\n\n      </ion-item> \n\n      <ion-item class="item" *ngFor="let action of actions trackBy:trackByActionsList" (click)="goDetail(action.id)">     \n\n                        \n\n        <ion-thumbnail item-left>              \n\n          <img src="{{action.url}}">            \n\n        </ion-thumbnail>        \n\n        \n\n        <h3 class="textCtrl-title">{{action.name}}</h3>\n\n        <p class="textCtrl-content">{{action.create_time}}</p> \n\n      </ion-item>             \n\n    </ion-list>\n\n  </section>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n      <ion-infinite-scroll-content\n\n        loadingSpinner="bubbles"\n\n        loadingText="正在加载...">\n\n      </ion-infinite-scroll-content>\n\n    </ion-infinite-scroll>\n\n      \n\n</ion-content>\n\n'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\service-action\service-action.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_6_ionic_angular_components_alert_alert_controller__["a" /* AlertController */]])
    ], ServiceActionPage);
    return ServiceActionPage;
}());

//# sourceMappingURL=service-action.js.map

/***/ })

});
//# sourceMappingURL=80.js.map