webpackJsonp([109],{

/***/ 535:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MyCouponsPageModule", function() { return MyCouponsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__my_coupons__ = __webpack_require__(709);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MyCouponsPageModule = /** @class */ (function () {
    function MyCouponsPageModule() {
    }
    MyCouponsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__my_coupons__["a" /* MyCouponsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__my_coupons__["a" /* MyCouponsPage */]),
            ],
        })
    ], MyCouponsPageModule);
    return MyCouponsPageModule;
}());

//# sourceMappingURL=my-coupons.module.js.map

/***/ }),

/***/ 709:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyCouponsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_in_app_browser__ = __webpack_require__(133);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the MyCouponsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MyCouponsPage = /** @class */ (function () {
    function MyCouponsPage(navCtrl, navParams, appService, inAppBrowser, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.inAppBrowser = inAppBrowser;
        this.appUtil = appUtil;
        this.params = {
            page: 1,
            size: 10,
            coupon_status: "1",
            token: localStorage.getItem('token')
        };
        this.token = localStorage.getItem('token');
        this.hasmore = true;
        this.coupons = [];
        this.totalCount = 0;
    }
    /**
     * 进入页面生命周期
     */
    MyCouponsPage.prototype.ionViewWillEnter = function () {
        this.initList();
    };
    /**
     * 优惠券详情
     * @param id 优惠券id
     * @param status 使用状态
     * @param deleted 是否删除
     */
    MyCouponsPage.prototype.toDetail = function (id, status, deleted) {
        this.navCtrl.push('CouponsDetailPage', { 'couponId': id, 'coupon_status': status, 'deleted': deleted });
    };
    /**
     * 获取我的优惠券列表
     */
    MyCouponsPage.prototype.getMyCouponsList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.couponMemberList, this.params, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.coupons = d;
                    _this.totalCount = d.length;
                    _this.params.page += 1;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 刷新
     * @param refresher 刷新器
     */
    MyCouponsPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 列表初始化
     */
    MyCouponsPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getMyCouponsList();
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll 加载器
     */
    MyCouponsPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.couponMemberList, this.params, function (d) {
            if (d.length > 0) {
                _this.coupons = _this.coupons.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
        });
        infiniteScroll.complete();
    };
    MyCouponsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-my-coupons',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\my-coupons\my-coupons.html"*/'<!--\n  Generated template for the HousekeepListPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>我的优惠券</ion-title>\n  </ion-navbar>\n\n  <ion-segment [(ngModel)]="params.coupon_status" mode="md">\n    <ion-segment-button value="1" class="border-right" (click)="initList()">\n      <div style="font-size:1.6rem">未使用</div>\n    </ion-segment-button>\n    <ion-segment-button value="2" class="border-left" (click)="initList()">\n      <div style="font-size:1.6rem">已使用</div>\n    </ion-segment-button>\n    <ion-segment-button value="3" class="border-right" (click)="initList()">\n      <div style="font-size:1.6rem">已过期</div>\n    </ion-segment-button>\n  </ion-segment>\n\n</ion-header>\n\n<ion-content>\n\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n        <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n          refreshingText="加载中...">\n        </ion-refresher-content>\n      </ion-refresher>\n\n<ion-list no-lines>\n  <ion-card *ngFor="let coupon of coupons" (click)="toDetail(coupon.id,coupon.coupon_status,coupon.coupon_deleted)" style="border-bottom: 0.55px solid #c8c7cc;">\n    <ion-card-content>\n      <ion-item no-padding>\n        <div class="subscript" *ngIf="coupon.coupon_deleted==1" style="background:#aaaaaa;"><span style="color:black;">已删除</span></div>\n        <div class="subscript" *ngIf="coupon.coupon_status==1 && coupon.coupon_deleted!=1"><span>未使用</span></div>\n        <div class="subscript" *ngIf="coupon.coupon_status==2 && coupon.coupon_deleted!=1"><span>已使用</span></div>\n        <div class="subscript" *ngIf="coupon.coupon_status==3 && coupon.coupon_deleted!=1"><span>已过期</span></div>\n        <div style="display:inline-block;width:21%">\n          <img style="width:50px;height:50px;" src="{{coupon.img}}">\n        </div>\n        <div style="display:inline-block;position:absolute;width:65%;top:5px">\n          <span class="textCtrl-title" text-wrap *ngIf="coupon.coupon_name.length<=16">{{coupon.coupon_name}}</span>\n          <span class="textCtrl-title" text-wrap *ngIf="coupon.coupon_name.length>16">{{coupon.coupon_name.substring(0,16)}}…</span>\n          <p class="textCtrl-content" text-wrap *ngIf="coupon.describe.length<=35">{{coupon.describe}}</p>\n          <p class="textCtrl-content" text-wrap *ngIf="coupon.describe.length>35">{{coupon.describe.substring(0,35)}}…</p>\n          <p class="textCtrl-content" text-wrap style="position:absolute;top:55px;">开始时间：{{coupon.coupon_begin_date}}</p> \n          <p class="textCtrl-content" text-wrap style="position:absolute;top:72px;">结束时间：{{coupon.coupon_end_date}}</p>         \n        </div>\n      </ion-item>\n    </ion-card-content>\n  </ion-card>\n</ion-list>\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n    </ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>\n'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\my-coupons\my-coupons.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], MyCouponsPage);
    return MyCouponsPage;
}());

//# sourceMappingURL=my-coupons.js.map

/***/ })

});
//# sourceMappingURL=109.js.map