webpackJsonp([11],{

/***/ 633:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "VerifyPageModule", function() { return VerifyPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__verify__ = __webpack_require__(807);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var VerifyPageModule = /** @class */ (function () {
    function VerifyPageModule() {
    }
    VerifyPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__verify__["a" /* VerifyPage */]
                // ,
                // ValidateMemberCardDirective
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__verify__["a" /* VerifyPage */]),
            ],
        })
    ], VerifyPageModule);
    return VerifyPageModule;
}());

//# sourceMappingURL=verify.module.js.map

/***/ }),

/***/ 807:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return VerifyPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the VerifyPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var VerifyPage = /** @class */ (function () {
    function VerifyPage(appUtil, navCtrl, navParams, appService) {
        this.appUtil = appUtil;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.platform = 'ios';
        this.verify_value = {
            name: '',
            verify_type: '1',
            num: ''
        };
        this.allowedCertificate = false;
        this.IDCardText = '身份证号不能为空';
        this.verify_type = {
            id: '1',
            value: '身份证号'
        };
        if (this.appUtil.isPlatform('ios'))
            this.platform = 'ios';
        else if (this.appUtil.isPlatform('android'))
            this.platform = 'android';
    }
    VerifyPage.prototype.ionViewDidLoad = function () {
        // console.log('ionViewDidLoad VerifyPage');
    };
    VerifyPage.prototype.regist = function (f) {
        if (f.value.password != f.value.repassword) {
            this.appService.alert('两次密码不相同！');
        }
        else {
            //let modal = this.navCtrl.create('HomePage');
            //modal.present();
        }
    };
    /**
  * 隐私协议
  */
    VerifyPage.prototype.privacyProtocol = function () {
        //this.appService.alert("隐私协议");
        this.navCtrl.push('PrivacyProtocolPage');
    };
    /**
     * 用户协议
     */
    VerifyPage.prototype.userProtocol = function () {
        //this.appService.alert("用户协议");
        this.navCtrl.push('UserProtocolPage');
    };
    VerifyPage.prototype.verify = function (value) {
        var _this = this;
        //验证用户协议
        if (!this.verifyUserProtocol()) {
            return;
        }
        if (this.allowedCertificate == false) {
            this.appService.alert(this.IDCardText);
            return;
        }
        this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.verify, { name: this.verify_value.name, card: this.verify_value.num }, function (rs) {
            if (rs.errcode < 0) {
                _this.appService.alert(rs.errmsg);
            }
            else {
                localStorage.setItem('app.temptoken', rs.token);
                _this.navCtrl.push('BindingPage');
            }
        });
    };
    /**
     * 选中改变
     */
    VerifyPage.prototype.selectChange = function () {
        console.log(this.selectedValue);
        this.verify_value.userprotocal = this.selectedValue;
    };
    /**
     * 验证是否勾选用户协议及隐私协议
     */
    VerifyPage.prototype.verifyUserProtocol = function () {
        var userprotocal = this.verify_value.userprotocal;
        if (!userprotocal) {
            this.appService.alert('请勾选已阅读并接受用户协议和隐私协议后进行用户注册验证！');
            return false;
        }
        else {
            return true;
        }
    };
    VerifyPage.prototype.validateCertificate = function () {
        this.allowedCertificate = true;
        var _v = this.verify_value.num;
        if (_v == null)
            _v = "";
        //************* vtype begin  ***************************** */
        var area = {
            11: "北京",
            12: "天津",
            13: "河北",
            14: "山西",
            15: "内蒙古",
            21: "辽宁",
            22: "吉林",
            23: "黑龙江",
            31: "上海",
            32: "江苏",
            33: "浙江",
            34: "安徽",
            35: "福建",
            36: "江西",
            37: "山东",
            41: "河南",
            42: "湖北",
            43: "湖南",
            44: "广东",
            45: "广西",
            46: "海南",
            50: "重庆",
            51: "四川",
            52: "贵州",
            53: "云南",
            54: "西藏",
            61: "陕西",
            62: "甘肃",
            63: "青海",
            64: "宁夏",
            65: "新疆",
            71: "台湾",
            81: "香港",
            82: "澳门",
            91: "国外"
        };
        var Y, JYM, ereg;
        var S, M;
        var idcard_array = new Array();
        idcard_array = _v.split("");
        // 地区检验
        if (typeof (area[parseInt(_v.substr(0, 2))]) == 'undefined') {
            this.IDCardText = "身份证号码地区非法!";
            this.allowedCertificate = false;
        }
        // 身份号码位数及格式检验
        switch (_v.length) {
            case 15:
                if ((parseInt(_v.substr(6, 2)) + 1900) % 4 == 0 || ((parseInt(_v.substr(6, 2)) + 1900) % 100 == 0 && (parseInt(_v.substr(6, 2)) + 1900) % 4 == 0)) {
                    ereg = /^[1-9][0-9]{5}[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}$/; // 测试出生日期的合法性
                }
                else {
                    ereg = /^[1-9][0-9]{5}[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))[0-9]{3}$/; // 测试出生日期的合法性
                }
                if (ereg.test(_v))
                    this.allowedCertificate = true;
                else {
                    this.IDCardText = "身份证号码出生日期超出范围";
                    this.allowedCertificate = false;
                }
                break;
            case 18:
                // 18位身份号码检测
                // 出生日期的合法性检查
                // 闰年月日:((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))
                // 平年月日:((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))
                if (parseInt(_v.substr(6, 4)) % 4 == 0 || (parseInt(_v.substr(6, 4)) % 100 == 0 && parseInt(_v.substr(6, 4)) % 4 == 0)) {
                    ereg = /^[1-9][0-9]{5}(19|20)[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}[0-9Xx]$/; // 闰年出生日期的合法性正则表达式
                }
                else {
                    ereg = /^[1-9][0-9]{5}(19|20)[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))[0-9]{3}[0-9Xx]$/; // 平年出生日期的合法性正则表达式
                }
                if (ereg.test(_v)) {
                    // 计算校验位
                    S = (parseInt(idcard_array[0]) + parseInt(idcard_array[10])) * 7
                        + (parseInt(idcard_array[1]) + parseInt(idcard_array[11])) * 9
                        + (parseInt(idcard_array[2]) + parseInt(idcard_array[12])) * 10
                        + (parseInt(idcard_array[3]) + parseInt(idcard_array[13])) * 5
                        + (parseInt(idcard_array[4]) + parseInt(idcard_array[14])) * 8
                        + (parseInt(idcard_array[5]) + parseInt(idcard_array[15])) * 4
                        + (parseInt(idcard_array[6]) + parseInt(idcard_array[16])) * 2
                        + parseInt(idcard_array[7]) * 1
                        + parseInt(idcard_array[8]) * 6
                        + parseInt(idcard_array[9]) * 3;
                    Y = S % 11;
                    M = "F";
                    JYM = "10X98765432";
                    M = JYM.substr(Y, 1); // 判断校验位
                    //alert(idcard_array[17]);
                    if (M == "X" && idcard_array[17] == "x") {
                        this.verify_value.num = this.verify_value.num.substring(0, 17) + "X";
                    }
                    else if (M != idcard_array[17]) {
                        this.IDCardText = "身份证号码末位校验位校验出错";
                        this.allowedCertificate = false;
                    }
                }
                else {
                    for (var i = 0; i < 18; i++) {
                        if (i < 17) {
                            if (idcard_array[i] < "0" || idcard_array[i] > "9") {
                                this.IDCardText = "身份证号码存在无效字符";
                                break;
                            }
                        }
                        else {
                            if (idcard_array[i] < "0" || (idcard_array[i] > "9" && idcard_array[i] != "X" && idcard_array[i] != "x")) {
                                this.IDCardText = "身份证号码存在无效字符";
                            }
                            else {
                                this.IDCardText = "身份证号码出生日期超出范围";
                            }
                        }
                    }
                    this.allowedCertificate = false;
                }
                break;
            default:
                this.IDCardText = "身份证号码位数不对,应该为15位或是18位";
                this.allowedCertificate = false;
                break;
        }
        if (this.allowedCertificate == false)
            this.appService.alert(this.IDCardText);
    };
    VerifyPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-verify',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\verify\verify.html"*/'<!-- <ion-header>\n\n\n\n  <ion-navbar [ngClass]="{\'ios_button\':platform===\'ios\',\'ios_style\': platform===\'ios\'}" color="primary">\n\n    <ion-title [ngClass]="{\'ios_diff\': platform===\'ios\'}" center>验证身份</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header> -->\n\n\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>验证身份</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content padding>\n\n  <form #f="ngForm" (ngSubmit)="verify(f)">\n\n\n\n    <ion-item style="padding-left:0">\n\n      <ion-input type="text" placeholder="请输入姓名" style="font-size:1.5rem" name="name" [(ngModel)]="verify_value.name" #name="ngModel"\n\n        required></ion-input>\n\n    </ion-item>\n\n\n\n    <ion-item style="padding-left:0">\n\n      <ion-input name="card" [(ngModel)]="verify_value.num" style="font-size:1.5rem" #card="ngModel" placeholder="身份证"\n\n        pattern="" (ionBlur)="validateCertificate()" required></ion-input>\n\n    </ion-item>\n\n\n\n    <div style="margin-top:10%;margin-left:-14px;margin-right:-14px">\n\n      <button style="font-size:1.5rem" type="submit" ion-button block color="primary" [disabled]="!f.valid">\n\n        验证身份\n\n      </button>\n\n    </div>\n\n  </form>\n\n  <div style="margin-top:20%;">\n\n    <div style="display:inline-block;">\n\n      <ion-checkbox color="danger" checked [(ngModel)]="selectedValue" (ionChange)="selectChange()" slot="start">\n\n      </ion-checkbox>\n\n    </div>\n\n    <div style="display: initial;font-size: 1.2rem">我已阅读并接受\n\n      <span style="color:blue;" (click)="userProtocol()">《用户协议》</span>和\n\n      <span style="color:blue;" (click)="privacyProtocol()">\n\n        《隐私协议》</span>\n\n    </div>\n\n  </div>\n\n</ion-content>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\verify\verify.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */]])
    ], VerifyPage);
    return VerifyPage;
}());

//# sourceMappingURL=verify.js.map

/***/ })

});
//# sourceMappingURL=11.js.map