webpackJsonp([116],{

/***/ 528:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LoginPageModule", function() { return LoginPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login__ = __webpack_require__(702);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LoginPageModule = /** @class */ (function () {
    function LoginPageModule() {
    }
    LoginPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */]),
            ],
        })
    ], LoginPageModule);
    return LoginPageModule;
}());

//# sourceMappingURL=login.module.js.map

/***/ }),

/***/ 702:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the LoginPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LoginPage = /** @class */ (function () {
    function LoginPage(navCtrl, navParams, alertCtrl, loadingCtrl, viewCtrl, modalCtrl, appService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.viewCtrl = viewCtrl;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.user = [];
        this.token = null;
        this.input = {
            id: '2',
            label: '身份证号',
            type: 'text',
            pattern: '',
            placeholder: '请输入身份证号',
            validate: 'certificate'
        };
        this.userData = {
            login_type: '1',
            login_name: '',
            remember: true,
            password: ''
        };
        this.values = "";
    }
    LoginPage.prototype.ionViewDidLoad = function () {
        console.log(123);
        if (localStorage.getItem('remember')) {
            this.userData.login_name = localStorage.getItem('login_name');
        }
        else {
            this.userData.login_name = '';
            localStorage.removeItem('login_name');
        }
    };
    /**
     *  0.登录
     * */
    LoginPage.prototype.login = function (value) {
        var _this = this;
        localStorage.setItem('login_name', this.userData.login_name);
        this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.doLogin, {
            login_name: this.userData.login_name,
            password: this.userData.password
        }, function (rs) {
            if (rs != null && rs != undefined) {
                if (rs.errcode < 0) {
                    _this.appService.alert(rs.errmsg);
                }
                else {
                    window.localStorage.setItem('token', rs.token);
                    console.log("remember:" + _this.userData.remember);
                    localStorage.setItem('remember', _this.userData.remember);
                    _this.viewCtrl.dismiss({ 'success': '1' });
                    _this.getUserInfo();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    LoginPage.prototype.getUserInfo = function () {
        var _this = this;
        this.user = JSON.parse(localStorage.getItem('jilinapp_jl.user')) || [];
        this.token = window.localStorage.getItem('token');
        if (this.token != null && this.token != '') {
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getUserInfo, { token: this.token }, function (d) {
                if (d != null && d != undefined) {
                    if (d.errcode == -1) {
                        _this.appService.alert(d.errmsg);
                    }
                    else {
                        _this.user = d;
                        localStorage.setItem('jilinapp_jl.user', JSON.stringify(d));
                    }
                }
            });
        }
    };
    LoginPage.prototype.onChange = function (value) {
    };
    LoginPage.prototype.dismissLoginModal = function () {
        //data = { 'msg': '我已得到你传给我的qq号码，现在返回给你让你知道' };
        this.viewCtrl.dismiss();
    };
    LoginPage.prototype.goRegist = function () {
        this.navCtrl.push('VerifyPage', this.userData);
    };
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-login',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\login\login.html"*/'<!-- Generated template for the LoginComponent component -->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n   \n\n    <ion-title>登录</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="goRegist()">\n\n        注册\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content padding>\n\n  <form #login_form="ngForm" (ngSubmit)="login(login_form)">\n\n\n\n    <!-- <ion-list> -->\n\n    <!--<label class="item item-input item-select-special item-icon-right" style="width:100%;padding-left:0px;padding-top:5px;">\n\n            <span class="input-label">工会关系</span>\n\n            <button class="button button-clear button-light login_font" style="font-size:16px;padding:0px;text-align:left;min-height:22px;line-height:22px;color:#444;" ng-click="openModal(\'change_city\')"/>{{option.currentCity.name}}</button>\n\n          </label>-->\n\n    <!-- </ion-list> -->\n\n\n\n    <!-- <ion-list> -->\n\n    <!-- </ion-list> -->\n\n\n\n    <ion-item style="padding-left:0">\n\n      <ion-input name="login_name" [(ngModel)]="userData.login_name" #login_name="ngModel" pattern="" style="font-size:1.5rem" placeholder="手机号"\n\n        required></ion-input>\n\n        <ion-input type="button" (click)="getCode(binding_form)" [disabled]="!formData.disable" name="verifyCodeTips"\n\n        #verifyCodeTips="ngModel" class="input-button" [(ngModel)]="formData.verifyCodeTips"></ion-input>\n\n    </ion-item>\n\n\n\n\n\n\n\n    <ion-item style="padding-left:0">\n\n      <ion-input name="password" [(ngModel)]="userData.password" style="font-size:1.5rem" type="password" pattern="/(?=.*[a-z])(?=.*[A-Z])|(?=.*[A-Z])(?=.*[0-9])|(?=.*[a-z])(?=.*[0-9])|(?=.*[\W|_])(?=.*[0-9])|(?=.*[\W|_])(?=.*[A-Z])|(?=.*[\W|_])(?=.*[a-z])/"\n\n        minLength="6" maxLength="20" placeholder="请输入密码" required></ion-input>\n\n      <i class="icon ion-ios-checkmark-empty" ng-show="login_form.password.$dirty && login_form.password.$valid" style="right:-10px;"></i>\n\n      <i class="icon ion-ios-close-empty" ng-show="login_form.password.$dirty && login_form.password.$invalid" style="right:-10px;"></i>\n\n    </ion-item>\n\n\n\n    <ion-item no-lines>\n\n      <label style="color:#666;font-size:1.5rem" item-right>记住用户名</label>\n\n      <ion-toggle name="remember" #remember [(ngModel)]="userData.remember"></ion-toggle>\n\n    </ion-item>\n\n\n\n    <div style="height: 2.4em;margin-left:-14px;margin-right:-14px">\n\n      <button type="submit" ion-button block color="primary" [disabled]="!login_form.valid">\n\n        登录\n\n      </button>\n\n    </div>\n\n\n\n  </form>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\login\login.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */]])
    ], LoginPage);
    return LoginPage;
}());

//# sourceMappingURL=login.js.map

/***/ })

});
//# sourceMappingURL=116.js.map