webpackJsonp([119],{

/***/ 525:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LegalRegisterPageModule", function() { return LegalRegisterPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__legal_register__ = __webpack_require__(699);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LegalRegisterPageModule = /** @class */ (function () {
    function LegalRegisterPageModule() {
    }
    LegalRegisterPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__legal_register__["a" /* LegalRegisterPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__legal_register__["a" /* LegalRegisterPage */]),
            ],
        })
    ], LegalRegisterPageModule);
    return LegalRegisterPageModule;
}());

//# sourceMappingURL=legal-register.module.js.map

/***/ }),

/***/ 699:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LegalRegisterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the LegalRegisterPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LegalRegisterPage = /** @class */ (function () {
    function LegalRegisterPage(navCtrl, navParams, appService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.org_name = '';
        this.info = [];
        this.result = false;
    }
    LegalRegisterPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LegalRegisterPage');
    };
    /**
       * 验证名称正则表达式
       * @param name
       */
    LegalRegisterPage.prototype.verifyName = function (name) {
        var pass = true;
        if (!/^[\u4E00-\u9FFF]+$/i.test(name)) {
            pass = false;
        }
        return pass;
    };
    /**
     * 会员校验
     * @param checkForm
     */
    LegalRegisterPage.prototype.query = function () {
        var _this = this;
        if (event != null)
            event.stopPropagation();
        if (!this.verifyName(this.org_name)) {
            this.appService.alert('请输入真实基层工会名称！');
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getLegalRegisterInfo, {
            org_name: this.org_name,
            token: localStorage.getItem('token')
        }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.result = true;
                    _this.info = d;
                }
                else {
                    _this.result = false;
                    _this.appService.alert(d.errmsg);
                }
            }
            else {
                _this.result = false;
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    LegalRegisterPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-legal-register',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\legal-register\legal-register.html"*/'<!--\n\n  Generated template for the LegalRegisterPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>法人登记记录查询</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n    <span class="input-label" style="color:#000;font-size:1.6rem;">名称</span>\n\n    <input pattern="" placeholder="请填写基层工会名称" [(ngModel)]="org_name" maxlength="32" name="org_name"\n\n      style="text-align:right;float:right;border:none" required />\n\n  </ion-item>\n\n\n\n  <ng-container *ngIf="result">\n\n    <!-- <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        查询结果\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>相关申请信息</p>\n\n    </ion-item> -->\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        上报状态\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.status}}</p>\n\n    </ion-item>\n\n\n\n    <!-- <ion-item class="item-content" *ngIf="false">\n\n      <h3 class="ion-title textCtrl-title">\n\n        退回原因\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>不合格</p>\n\n    </ion-item> -->\n\n  </ng-container>\n\n\n\n</ion-content>\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive (click)="query()">查询</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\legal-register\legal-register.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */]])
    ], LegalRegisterPage);
    return LegalRegisterPage;
}());

//# sourceMappingURL=legal-register.js.map

/***/ })

});
//# sourceMappingURL=119.js.map