webpackJsonp([133],{

/***/ 511:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawAssistanceDetailPageModule", function() { return LawAssistanceDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__law_assistance_detail__ = __webpack_require__(685);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LawAssistanceDetailPageModule = /** @class */ (function () {
    function LawAssistanceDetailPageModule() {
    }
    LawAssistanceDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__law_assistance_detail__["a" /* LawAssistanceDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__law_assistance_detail__["a" /* LawAssistanceDetailPage */]),
            ],
        })
    ], LawAssistanceDetailPageModule);
    return LawAssistanceDetailPageModule;
}());

//# sourceMappingURL=law-assistance-detail.module.js.map

/***/ }),

/***/ 685:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawAssistanceDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the LawAssistanceDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawAssistanceDetailPage = /** @class */ (function () {
    function LawAssistanceDetailPage(navCtrl, navParams, appUtil, appService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appUtil = appUtil;
        this.appService = appService;
        this.user = JSON.parse(localStorage.getItem('jilinapp_jl.user'));
        this.assistanceInfo = [];
        this.disputeTypes = [
            { 'code': '1', 'name': '薪资纠纷' },
            { 'code': '2', 'name': '工伤赔付' },
            { 'code': '3', 'name': '劳动合同纠纷' },
            { 'code': '4', 'name': '其他劳动争议' }
        ];
        this.type = this.navParams.get('type');
        this.record_id = this.navParams.get('id');
    }
    LawAssistanceDetailPage.prototype.ionViewWillEnter = function () {
        console.log('ionViewDidLoad LawAdvisoryDetailPage');
        this.getAssistanceInfo();
    };
    /* 获取法律咨询详情 */
    LawAssistanceDetailPage.prototype.getAssistanceInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.assistanceInfo, {
            token: localStorage.getItem('token'),
            record_id: this.record_id
        }, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    //跳转至登录页面
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.assistanceInfo = d;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /* 文本处理 */
    LawAssistanceDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    /* 保存修改 */
    LawAssistanceDetailPage.prototype.onSubmit = function () {
        var _this = this;
        this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.editAssistance, {
            record_id: this.record_id,
            token: localStorage.getItem('token'),
            description: this.assistanceInfo.description,
            title: this.assistanceInfo.title,
            dispute_type: this.assistanceInfo.dispute_type_value
        }, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    //跳转至登录页面
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    LawAssistanceDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-law-assistance-detail',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\law-assistance-detail\law-assistance-detail.html"*/'<!--\n\n  Generated template for the LawAdvisoryDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>法律援助详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ng-container *ngIf="type == 2">\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        所属工会\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{assistanceInfo.org_name}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        求助标题\n\n      </h3>\n\n      <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n        [innerHTML]="assembleHTML(assistanceInfo.title)">\n\n      </div>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        纠纷类型\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{assistanceInfo.dispute_type}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        受理状态\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{assistanceInfo.status_value}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        求助时间\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{assistanceInfo.create_time}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content" style="border-bottom:none;">\n\n      <h3 class="ion-title textCtrl-title">\n\n        求助内容\n\n      </h3>\n\n      <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n        [innerHTML]="assembleHTML(assistanceInfo.description)">\n\n      </div>\n\n    </ion-item>\n\n\n\n    <ng-container *ngIf="assistanceInfo.status!=0">\n\n      <div class="item item-divider" style="background-color:#d0cece;height:5px;"></div>\n\n\n\n      <ion-item class="item-content">\n\n        <h3 class="ion-title textCtrl-title">\n\n          回复时间\n\n        </h3>\n\n        <p class="textCtrl-content" float-right>{{assistanceInfo.accept_time}}</p>\n\n      </ion-item>\n\n\n\n      <ion-item class="item-content">\n\n        <h3 class="ion-title textCtrl-title">\n\n          回复内容\n\n        </h3>\n\n        <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n          [innerHTML]="assembleHTML(assistanceInfo.reply_content)"></div>\n\n      </ion-item>\n\n    </ng-container>\n\n\n\n  </ng-container>\n\n\n\n\n\n  <ng-container *ngIf="type == 1">\n\n\n\n    <form method="post" content-type="application/x-www-from-urlencoded" #add_form="ngForm" (ngSubmit)="onSubmit()">\n\n\n\n      <ion-item class="textCtrl-content" style="border-bottom:0.55px solid #c8c7cc;">\n\n        <h3 class="ion-title" style="font-size:1.4rem !important;color:#000;">\n\n          所属工会\n\n        </h3>\n\n        <p class="textCtrl-content" float-right>{{user.org_name}}</p>\n\n      </ion-item>\n\n\n\n      <ion-item class="textCtrl-content" style="padding-left:0;border-bottom:0.55px solid #c8c7cc;">\n\n        <ion-label style="color:#000;">纠纷类型</ion-label>\n\n        <ion-select name="dispute_type_value" [(ngModel)]="assistanceInfo.dispute_type_value" #dispute_type_value okText="确定"\n\n          cancelText="取消" multiple="false" interface placeholder="请选择纠纷类型" interface="action-sheet">\n\n          <ion-option *ngFor="let item1 of disputeTypes" value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n        </ion-select>\n\n      </ion-item>\n\n\n\n      <div class="textCtrl-content" style="border-bottom:0.55px solid #c8c7cc;padding:8px 0px 8px 0;overflow:hidden;">\n\n        <!-- <span style="float:left;margin-top:5px;font-size:1.7rem;color:#000;">求助标题</span> -->\n\n        <textarea name="title" [(ngModel)]="assistanceInfo.title" cols="30" rows="1" placeholder="请填写求助标题，限64个字以内"\n\n          class="textCtrl-content"\n\n          style="padding-left:0;width:100%;max-width:100%;;max-height:160px;border: none;color: #999;">\n\n          </textarea>\n\n      </div>\n\n\n\n      <div class="textCtrl-content" style="border-bottom:0.55px solid #c8c7cc;padding:8px 0px 8px 0;overflow:hidden;">\n\n        <!-- <span style="float:left;margin-top:10px;font-size:1.7rem;color:#000;">求助内容</span> -->\n\n        <textarea name="content" [(ngModel)]="assistanceInfo.description" cols="30" rows="10" placeholder="简单描述求助内容，限512个字以内"\n\n          class="textCtrl-content"\n\n          style="padding-left:0;width:100%;max-width:100%;;max-height:160px;border: none;color: #999;">\n\n          </textarea>\n\n      </div>\n\n\n\n      <div style="height: 2.4em;">\n\n        <button type="submit" ion-button block color="primary" [disabled]="!add_form.valid">\n\n          提交\n\n        </button>\n\n      </div>\n\n\n\n    </form>\n\n  </ng-container>\n\n\n\n\n\n</ion-content>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\law-assistance-detail\law-assistance-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */]])
    ], LawAssistanceDetailPage);
    return LawAssistanceDetailPage;
}());

//# sourceMappingURL=law-assistance-detail.js.map

/***/ })

});
//# sourceMappingURL=133.js.map