webpackJsonp([147],{

/***/ 497:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FriendshipRecommendListPageModule", function() { return FriendshipRecommendListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__friendship_recommend_list__ = __webpack_require__(671);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FriendshipRecommendListPageModule = /** @class */ (function () {
    function FriendshipRecommendListPageModule() {
    }
    FriendshipRecommendListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__friendship_recommend_list__["a" /* FriendshipRecommendListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__friendship_recommend_list__["a" /* FriendshipRecommendListPage */]),
            ],
        })
    ], FriendshipRecommendListPageModule);
    return FriendshipRecommendListPageModule;
}());

//# sourceMappingURL=friendship-recommend-list.module.js.map

/***/ }),

/***/ 671:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FriendshipRecommendListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(40);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_angular_components_alert_alert_controller__ = __webpack_require__(26);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__components_search_friendship_member_search_friendship_member__ = __webpack_require__(289);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the FriendshipRecommendListPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var FriendshipRecommendListPage = /** @class */ (function () {
    function FriendshipRecommendListPage(navCtrl, navParams, appService, modalCtrl, appUtil, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.recommendList = [];
        this.hasmore = true;
        this.search_type = this.navParams.get('search_type');
        this.token = window.localStorage.getItem('token');
        this.params = {
            page: 1,
            size: 10,
            token: window.localStorage.getItem('token'),
            max_height: '',
            min_height: '',
            max_weight: '',
            min_weight: '',
            max_age: '',
            min_age: '',
            industry: '',
            salary: '',
            hobby: '',
            area: ''
        };
        this.params.token = this.token;
    }
    FriendshipRecommendListPage.prototype.ionViewDidLoad = function () {
        this.getRecommendList();
    };
    /**
     * 获取推荐列表
     */
    FriendshipRecommendListPage.prototype.getRecommendList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getRecommendList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    //this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.recommendList = d;
                    _this.params.page += 1;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
    * 刷新时需要初始化页数和是否还有数据的标志
    */
    FriendshipRecommendListPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getRecommendList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    FriendshipRecommendListPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    FriendshipRecommendListPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getRecommendList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.recommendList = _this.recommendList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param actives
     */
    FriendshipRecommendListPage.prototype.trackByRecommendList = function (index, recommend) {
        return recommend.id;
    };
    FriendshipRecommendListPage.prototype.toDetail = function (person_id) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getFriendshipMemberInfo, { person_id: person_id, token: window.localStorage.getItem('token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.navCtrl.push('FriendshipMemberDetailPage', {
                        'person_id': person_id
                    });
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert(d.errmsg);
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 取消关注
     * @param friend_id
     */
    FriendshipRecommendListPage.prototype.cancelAttention = function (friend_id, event) {
        var _this = this;
        // this.appUtil.alert("温馨提醒", "实现中", "确定");
        if (event != null) {
            event.stopPropagation();
        }
        this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.cancelAttention, { friend_id: friend_id, token: window.localStorage.getItem('token') }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    for (var i = 0; i < _this.recommendList.length; i++) {
                        if (_this.recommendList[i].id == friend_id) {
                            _this.recommendList[i].liked = 0;
                        }
                    }
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 关注
     * @param friend_id
     */
    FriendshipRecommendListPage.prototype.attention = function (friend_id, event) {
        var _this = this;
        if (event != null) {
            event.stopPropagation();
        }
        this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.attention, { friend_id: friend_id, token: window.localStorage.getItem('token') }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    for (var i = 0; i < _this.recommendList.length; i++) {
                        if (_this.recommendList[i].id == friend_id) {
                            _this.recommendList[i].liked = 1;
                        }
                    }
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 留言
     * @param myEvent
     */
    FriendshipRecommendListPage.prototype.search = function (myEvent) {
        var _this = this;
        var search = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_6__components_search_friendship_member_search_friendship_member__["a" /* SearchFriendshipMemberComponent */], {
            'max_height': this.params.max_height,
            'min_height': this.params.min_height,
            'max_weight': this.params.max_weight,
            'min_weight': this.params.min_weight,
            'max_age': this.params.max_age,
            'min_age': this.params.min_age,
            'industry': this.params.industry,
            'salary': this.params.salary,
            'hobby': this.params.hobby,
            'area': this.params.area
        });
        search.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                _this.params.max_height = data.max_height;
                _this.params.min_height = data.min_height;
                _this.params.max_weight = data.max_weight;
                _this.params.min_weight = data.min_weight;
                _this.params.max_age = data.max_age;
                _this.params.min_age = data.min_age;
                _this.params.industry = data.industry;
                _this.params.salary = data.salary;
                _this.params.hobby = data.hobby;
                _this.params.area = data.area;
                _this.initList();
                //console.log(data.max_height);
                /*
                if (data.success === '1') {//留言成功
                  this.appService.alert(data.msg);
                }
                */
            }
        });
        search.present({
            ev: myEvent
        });
    };
    FriendshipRecommendListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-friendship-recommend-list',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\friendship-recommend-list\friendship-recommend-list.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>推荐列表</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="search($event)">\n\n        <ion-icon name="search"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n    <ion-list style="padding:1.4rem;" no-lines>\n\n      <ion-item style="padding-left:0;" *ngIf="recommendList.length==0||recommendList.length==undefined">\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无推荐信息</p>\n\n      </ion-item>\n\n\n\n      <ion-item style="padding-left:10px;border-radius:20px;background:#f1f1f1;margin-bottom:10px;"\n\n        *ngFor="let recommend of recommendList trackBy:trackByRecommendList" (click)="toDetail(recommend.id)">\n\n        <ion-avatar item-left style="position:relative;height:60px;width:60px;">\n\n          <img style="display:inline-block;position:absolute;height:60px;width:60px;" src="{{recommend.photo}}">\n\n          <img style="position:absolute;height:25px;width:25px;bottom:0px;right:0px;" *ngIf="recommend.gender == 1"\n\n            src="assets/imgs/m.png">\n\n          <img style="position:absolute;height:25px;width:25px;bottom:0px;right:0px;" *ngIf="recommend.gender == 2"\n\n            src="assets/imgs/w.png">\n\n        </ion-avatar>\n\n        <h3 class="textCtrl-title">{{recommend.name}}</h3>\n\n        <p class="textCtrl-content">{{recommend.age}}岁，身高{{recommend.height}}，体重{{recommend.weight}}</p>\n\n        <p class="textCtrl-content">{{recommend.job}}职业，月薪{{recommend.salary}}</p>\n\n        <p class="textCtrl-content">单位性质：{{recommend.industry}}</p>\n\n        <p class="textCtrl-content">兴趣爱好：{{recommend.hobby}}</p>\n\n        <span *ngIf="recommend.liked == 0"\n\n          style="float:right;font-size:1.4rem;border:0.55px solid red;width:80px;line-height:35px;border-radius:20px;text-align:center;"\n\n          (click)="attention(recommend.id,$event)">喜欢\n\n        </span>\n\n        <span *ngIf="recommend.liked == 1"\n\n          style="float:right;font-size:1.4rem;border:0.55px solid green;width:80px;line-height:35px;border-radius:20px;text-align:center;"\n\n          (click)="cancelAttention(recommend.id,$event)">取消喜欢\n\n        </span>\n\n      </ion-item>\n\n    </ion-list>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\friendship-recommend-list\friendship-recommend-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular_components_alert_alert_controller__["a" /* AlertController */]])
    ], FriendshipRecommendListPage);
    return FriendshipRecommendListPage;
}());

//# sourceMappingURL=friendship-recommend-list.js.map

/***/ })

});
//# sourceMappingURL=147.js.map