webpackJsonp([151],{

/***/ 493:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FriendshipMemberDetailPageModule", function() { return FriendshipMemberDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__friendship_member_detail__ = __webpack_require__(667);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var FriendshipMemberDetailPageModule = /** @class */ (function () {
    function FriendshipMemberDetailPageModule() {
    }
    FriendshipMemberDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__friendship_member_detail__["a" /* FriendshipMemberDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__friendship_member_detail__["a" /* FriendshipMemberDetailPage */]),
            ],
        })
    ], FriendshipMemberDetailPageModule);
    return FriendshipMemberDetailPageModule;
}());

//# sourceMappingURL=friendship-member-detail.module.js.map

/***/ }),

/***/ 667:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FriendshipMemberDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_add_leave_message_add_leave_message__ = __webpack_require__(286);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the FriendshipMemberDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var FriendshipMemberDetailPage = /** @class */ (function () {
    function FriendshipMemberDetailPage(navCtrl, navParams, appUtil, sanitizer, appService, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appUtil = appUtil;
        this.sanitizer = sanitizer;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.personInfo = [];
        this.person_id = this.navParams.get('person_id');
        this.type = this.navParams.get('type');
        console.log("person_id", this.person_id);
    }
    FriendshipMemberDetailPage.prototype.ionViewDidLoad = function () {
        this.loadPersonInfo();
    };
    /**
     * 文本处理
     * @param strHTML
     */
    FriendshipMemberDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    /**
     * 留言
     * @param myEvent
     */
    FriendshipMemberDetailPage.prototype.contact = function (myEvent, person_id) {
        var _this = this;
        var leaveMessage = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_add_leave_message_add_leave_message__["a" /* AddLeaveMessageComponent */], { reply_person_id: person_id });
        leaveMessage.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.appService.alert(data.msg);
                }
            }
        });
        leaveMessage.present({
            ev: myEvent
        });
    };
    /**
     * 加载信息
     */
    FriendshipMemberDetailPage.prototype.loadPersonInfo = function () {
        var _this = this;
        console.log(this.person_id);
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.getFriendshipMemberInfo, { person_id: this.person_id, token: window.localStorage.getItem('token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.personInfo = d;
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert(d.errmsg);
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    FriendshipMemberDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-friendship-member-detail',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\friendship-member-detail\friendship-member-detail.html"*/'<!--\n\n  Generated template for the TdFriendInfoDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>会员详情</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="contact($event,personInfo.id)"\n\n        >\n\n        <ion-icon name="chatbubbles"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;">\n\n    <ion-avatar item-left style="position:relative;height:60px;width:60px;">\n\n      <img style="display:inline-block;position:absolute;" src="{{personInfo.photo}}">\n\n      <img style="position:absolute;height:25px;width:25px;bottom:0px;right:0px;" *ngIf="personInfo.gender == 1"\n\n        src="../assets/imgs/m.png">\n\n      <img style="position:absolute;height:25px;width:25px;bottom:0px;right:0px;" *ngIf="personInfo.gender == 2"\n\n        src="../assets/imgs/w.png">\n\n    </ion-avatar>\n\n\n\n    <h3 class="textCtrl-title">{{personInfo.name}}</h3>\n\n    <span style="font-size:1.4rem;color:#8e9093;display:inherit;">{{personInfo.age}}岁</span>\n\n    <!--\n\n    <span *ngIf="personInfo.is_attention == \'true\'"\n\n      style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:#E13A3E"\n\n      (click)="cancelAttention(personInfo.id)">取消关注</span>\n\n    <span *ngIf="personInfo.is_attention == \'false\'"\n\n      style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:green"\n\n      (click)="attention(personInfo.id)">＋ 关注</span>-->\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <b>个人信息</b>\n\n    </h3>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      民族\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.nation}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      身高\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.height}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      体重\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.weight}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      毕业院校\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.school}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      学历\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.education}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      居住地址\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.area}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      月薪\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.salary}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      职业\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.job}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      单位性质\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.industry}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      兴趣爱好\n\n    </h3>\n\n    <!-- <p class="textCtrl-content" float-right>{{personInfo.hobby}}</p> -->\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;" [innerHTML]="assembleHTML(personInfo.hobby)">\n\n    </div>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content" *ngIf="personInfo.like_each_other==1">\n\n    <h3 class="ion-title textCtrl-title">\n\n      家庭成员状况\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(personInfo.family)"></div>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      自我介绍\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(personInfo.introduction)"></div>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <b>择偶要求</b>\n\n    </h3>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      年龄\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.require_age}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      身高\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.require_height}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      职业\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(personInfo.require_job)"></div>\n\n    <!-- <p class="textCtrl-content" float-right>{{personInfo.require_job}}</p> -->\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      月薪\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(personInfo.require_salary)"></div>\n\n    <!-- <p class="textCtrl-content" float-right>{{personInfo.require_salary}}</p> -->\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      学历\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(personInfo.require_education)"></div>\n\n    <!-- <p class="textCtrl-content" float-right>{{personInfo.require_education}}</p> -->\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      地区\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{personInfo.require_area}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      其他\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;" [innerHTML]="assembleHTML(personInfo.other)">\n\n    </div>\n\n  </ion-item>\n\n\n\n</ion-content>\n\n'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\friendship-member-detail\friendship-member-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */]])
    ], FriendshipMemberDetailPage);
    return FriendshipMemberDetailPage;
}());

//# sourceMappingURL=friendship-member-detail.js.map

/***/ })

});
//# sourceMappingURL=151.js.map