webpackJsonp([16],{

/***/ 628:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TestPageModule", function() { return TestPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__test__ = __webpack_require__(802);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TestPageModule = /** @class */ (function () {
    function TestPageModule() {
    }
    TestPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__test__["a" /* TestPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__test__["a" /* TestPage */]),
            ],
        })
    ], TestPageModule);
    return TestPageModule;
}());

//# sourceMappingURL=test.module.js.map

/***/ }),

/***/ 802:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TestPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_select_enter_select_enter__ = __webpack_require__(278);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_code__ = __webpack_require__(273);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the TestPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var TestPage = /** @class */ (function () {
    function TestPage(viewCtrl, appUtil, modalCtrl, alertCtrl, appService, navCtrl, appCode, navParams) {
        this.viewCtrl = viewCtrl;
        this.appUtil = appUtil;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.appService = appService;
        this.navCtrl = navCtrl;
        this.appCode = appCode;
        this.navParams = navParams;
        this.countrys = []; //国家或地区
        this.area_data1 = []; //现居住地（市）
        this.area_data2 = []; //现居住地（区）
        this.allowedCertificate = false;
        this.IDCardText = '身份证号不能为空';
        this.whether = [
            { 'code': '1', 'name': '是' },
            { 'code': '2', 'name': '否' }
        ];
        this.user = {
            name: '',
            cert_no: '',
            org_name: '',
            org_id: '',
            ent_name: '',
            ent_id: '',
            gender: '',
            birthday: '',
            cert_begin_date: '',
            cert_end_date: '',
            household_register: '',
            nationality: '142',
            nation: '',
            area1: '',
            area2: '',
            entry_time: '',
            marital_status: '',
            education: '',
            mobile: '',
            if_construct: '',
            insurance_type: '',
            insurance_number: '',
            work_status: '',
            job_status: '',
            skill: '',
            telephone: '',
            dispatch_worker: ''
        };
    }
    TestPage.prototype.ionViewWillEnter = function () {
        this.getCountryList();
        this.getArea1();
    };
    /**
     * 获取国家或地区代码表
     */
    TestPage.prototype.getCountryList = function () {
        var _this = this;
        this.countrys = JSON.parse(localStorage.getItem('jilinapp_jl.countrys')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCodeList, {
            list_name: 'ct_country1',
            schema: 'unionist'
        }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.countrys = d;
                    localStorage.setItem('jilinapp_jl.countrys', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    TestPage.prototype.getArea1 = function () {
        var _this = this;
        this.area_data1 = JSON.parse(localStorage.getItem('jilinapp_jl.area1')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getAreaData, { parent: '0' }, function (d) {
            console.log(d);
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.area_data1 = d;
                    localStorage.setItem('jilinapp_jl.area1', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    TestPage.prototype.getArea2 = function () {
        var _this = this;
        var parent = this.user.area1;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getAreaData, { parent: parent }, function (d) {
            //console.log("987:"+d);
            if (d != null && d != undefined) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.area_data2 = d;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
    * 打开搜索模态框
    * @param myEvent
    */
    TestPage.prototype.openSearchModal = function (myEvent) {
        var _this = this;
        var searchModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_select_enter_select_enter__["a" /* SelectEnterComponent */]);
        searchModal.onDidDismiss(function (data) {
            // console.log(data.org_name);
            // console.log(data.org_id);
            _this.user.ent_name = data.ent_name;
            _this.user.ent_id = data.ent_id;
            _this.user.org_name = data.org_name;
            _this.user.org_id = data.org_id;
        });
        searchModal.present({
            ev: myEvent
        });
    };
    /**
     * 提交入会申请
     * @param addForm
     */
    TestPage.prototype.onSubmit = function (addForm) {
        var _this = this;
        if (this.user.ent_id.toString().length === 0) {
            this.appService.alert('请选择单位信息！');
            return;
        }
        if (this.user.org_id.toString().length === 0) {
            this.appService.alert('请选择单位信息！');
            return;
        }
        if (this.user.name.toString().length === 0) {
            this.appService.alert('请填写姓名！');
            return;
        }
        if (this.user.name.toString().length > 32) {
            this.appService.alert('姓名不能超过32个字！');
            return;
        }
        if (!this.verifyName(this.user.name)) {
            this.appService.alert('请输入真实姓名！');
            return;
        }
        //身份证校验
        if (this.allowedCertificate == false) {
            this.appService.alert(this.IDCardText);
            return;
        }
        if (this.user.mobile.toString().length != 11) {
            this.appService.alert('请正确填写手机号码！');
            return;
        }
        if (this.user.gender.toString().length === 0) {
            this.appService.alert('请填写性别！');
            return;
        }
        if (this.user.birthday.toString().length === 0) {
            this.appService.alert('请填写出生日期！');
            return;
        }
        if (this.user.cert_begin_date.toString().length === 0) {
            this.appService.alert('请填写证件有效期起始时间！');
            return;
        }
        if (this.user.cert_end_date.toString().length === 0) {
            this.appService.alert('请填写证件有效期截止时间！');
            return;
        }
        if (this.user.household_register.toString().length === 0) {
            this.appService.alert('请选择户籍类型！');
            return;
        }
        if (this.user.nationality.toString().length === 0) {
            this.appService.alert('请选择国家或地区！');
            return;
        }
        if (this.user.nation.toString().length === 0) {
            this.appService.alert('请选择民族！');
            return;
        }
        if (this.user.area2.toString().length === 0) {
            this.appService.alert('请填写完整的现居住地！');
            return;
        }
        if (this.user.work_status.toString().length === 0) {
            this.appService.alert('请选择就业状态！');
            return;
        }
        if (this.user.education.toString().length === 0) {
            this.appService.alert('请选择学历！');
            return;
        }
        if (this.user.job_status.toString().length === 0) {
            this.appService.alert('请选择岗位状态！');
            return;
        }
        if (this.user.skill.toString().length === 0) {
            this.appService.alert('请选择技术等级！');
            return;
        }
        if (this.user.if_construct.toString().length === 0) {
            this.appService.alert('请选择是否农民工！');
            return;
        }
        if (this.user.dispatch_worker.toString().length === 0) {
            this.appService.alert('请选择是否劳务派遣工！');
            return;
        }
        if (this.user.mobile.toString().length === 0) {
            this.appService.alert('手机号不能为空！');
            return;
        }
        if (this.user.telephone.toString().length > 48) {
            this.appService.alert('联系电话不能超过48位！');
            return;
        }
        if (this.user.insurance_number.toString().length > 128) {
            this.appService.alert('医疗保险号码不能超过128位！');
            return;
        }
        this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.join, //1.url
        {
            name: this.user.name,
            cert_no: this.user.cert_no,
            mobile: this.user.mobile,
            ent_id: this.user.ent_id,
            org_id: this.user.org_id,
            gender: this.user.gender,
            birthday: this.user.birthday,
            cert_begin_date: this.user.cert_begin_date,
            cert_end_date: this.user.cert_end_date,
            household_register: this.user.household_register,
            nationality: this.user.nationality,
            nation: this.user.nation,
            area: this.user.area2,
            entry_time: this.user.entry_time,
            marital_status: this.user.marital_status,
            education: this.user.education,
            if_construct: this.user.if_construct,
            insurance_type: this.user.insurance_type,
            insurance_number: this.user.insurance_number,
            work_status: this.user.work_status,
            job_status: this.user.job_status,
            skill: this.user.skill,
            telephone: this.user.telephone,
            dispatch_worker: this.user.dispatch_worker
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    TestPage.prototype.verifyName = function (name) {
        var pass = true;
        if (!/^[\u4E00-\u9FFF]+$/i.test(name)) {
            pass = false;
        }
        return pass;
    };
    /**
     *
     * @param code 校验身份证号
     */
    /*
    verifyIdCard(code) {
      var city = {
        11: "北京",
        12: "天津",
        13: "河北",
        14: "山西",
        15: "内蒙古",
        21: "辽宁",
        22: "吉林",
        23: "黑龙江",
        31: "上海",
        32: "江苏",
        33: "浙江",
        34: "安徽",
        35: "福建",
        36: "江西",
        37: "山东",
        41: "河南",
        42: "湖北 ",
        43: "湖南",
        44: "广东",
        45: "广西",
        46: "海南",
        50: "重庆",
        51: "四川",
        52: "贵州",
        53: "云南",
        54: "西藏 ",
        61: "陕西",
        62: "甘肃",
        63: "青海",
        64: "宁夏",
        65: "新疆",
        71: "台湾",
        81: "香港",
        82: "澳门",
        91: "国外 "
      };
      var tip = "";
      var pass = true;
  
      if (!code || !/^[1-9]\d{5}((1[89]|20)\d{2})(0[1-9]|1[0-2])(0[1-9]|[12]\d|3[01])\d{3}[\dxX]$/i.test(code)) {
        tip = "身份证号格式错误";
        pass = false;
      } else if (!city[code.substr(0, 2)]) {
        tip = "地址编码错误";
        pass = false;
      } else {
        //18位身份证需要验证最后一位校验位
        if (code.length == 18) {
          code = code.split('');
          //∑(ai×Wi)(mod 11)
          //加权因子
          var factor = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
          //校验位
          var parity = [1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2];
          var sum = 0;
          var ai = 0;
          var wi = 0;
          for (var i = 0; i < 17; i++) {
            ai = code[i];
            wi = factor[i];
            sum += ai * wi;
          }
          var last = parity[sum % 11];
          if (parity[sum % 11] != code[17].toUpperCase()) {
            tip = "校验位错误";
            pass = false;
          }
        }
      }
      return pass;
    }
    */
    TestPage.prototype.validateCertificate = function () {
        this.allowedCertificate = true;
        var _v = this.user.cert_no;
        if (_v == null)
            _v = "";
        //************* vtype begin  ***************************** */
        var area = {
            11: "北京",
            12: "天津",
            13: "河北",
            14: "山西",
            15: "内蒙古",
            21: "辽宁",
            22: "吉林",
            23: "黑龙江",
            31: "上海",
            32: "江苏",
            33: "浙江",
            34: "安徽",
            35: "福建",
            36: "江西",
            37: "山东",
            41: "河南",
            42: "湖北",
            43: "湖南",
            44: "广东",
            45: "广西",
            46: "海南",
            50: "重庆",
            51: "四川",
            52: "贵州",
            53: "云南",
            54: "西藏",
            61: "陕西",
            62: "甘肃",
            63: "青海",
            64: "宁夏",
            65: "新疆",
            71: "台湾",
            81: "香港",
            82: "澳门",
            91: "国外"
        };
        var Y, JYM, ereg;
        var S, M;
        var idcard_array = new Array();
        idcard_array = _v.split("");
        // 地区检验
        if (typeof (area[parseInt(_v.substr(0, 2))]) == 'undefined') {
            this.IDCardText = "身份证号码地区非法!";
            this.allowedCertificate = false;
        }
        // 身份号码位数及格式检验
        switch (_v.length) {
            case 15:
                if ((parseInt(_v.substr(6, 2)) + 1900) % 4 == 0 || ((parseInt(_v.substr(6, 2)) + 1900) % 100 == 0 && (parseInt(_v.substr(6, 2)) + 1900) % 4 == 0)) {
                    ereg = /^[1-9][0-9]{5}[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}$/; // 测试出生日期的合法性
                }
                else {
                    ereg = /^[1-9][0-9]{5}[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))[0-9]{3}$/; // 测试出生日期的合法性
                }
                if (ereg.test(_v))
                    this.allowedCertificate = true;
                else {
                    this.IDCardText = "身份证号码出生日期超出范围";
                    this.allowedCertificate = false;
                }
                break;
            case 18:
                // 18位身份号码检测
                // 出生日期的合法性检查
                // 闰年月日:((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))
                // 平年月日:((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))
                if (parseInt(_v.substr(6, 4)) % 4 == 0 || (parseInt(_v.substr(6, 4)) % 100 == 0 && parseInt(_v.substr(6, 4)) % 4 == 0)) {
                    ereg = /^[1-9][0-9]{5}(19|20)[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|[1-2][0-9]))[0-9]{3}[0-9Xx]$/; // 闰年出生日期的合法性正则表达式
                }
                else {
                    ereg = /^[1-9][0-9]{5}(19|20)[0-9]{2}((01|03|05|07|08|10|12)(0[1-9]|[1-2][0-9]|3[0-1])|(04|06|09|11)(0[1-9]|[1-2][0-9]|30)|02(0[1-9]|1[0-9]|2[0-8]))[0-9]{3}[0-9Xx]$/; // 平年出生日期的合法性正则表达式
                }
                if (ereg.test(_v)) {
                    // 计算校验位
                    S = (parseInt(idcard_array[0]) + parseInt(idcard_array[10])) * 7
                        + (parseInt(idcard_array[1]) + parseInt(idcard_array[11])) * 9
                        + (parseInt(idcard_array[2]) + parseInt(idcard_array[12])) * 10
                        + (parseInt(idcard_array[3]) + parseInt(idcard_array[13])) * 5
                        + (parseInt(idcard_array[4]) + parseInt(idcard_array[14])) * 8
                        + (parseInt(idcard_array[5]) + parseInt(idcard_array[15])) * 4
                        + (parseInt(idcard_array[6]) + parseInt(idcard_array[16])) * 2
                        + parseInt(idcard_array[7]) * 1
                        + parseInt(idcard_array[8]) * 6
                        + parseInt(idcard_array[9]) * 3;
                    Y = S % 11;
                    M = "F";
                    JYM = "10X98765432";
                    M = JYM.substr(Y, 1); // 判断校验位
                    //alert(idcard_array[17]);
                    if (M == "X" && idcard_array[17] == "x") {
                        this.user.cert_no = this.user.cert_no.substring(0, 17) + "X";
                    }
                    else if (M != idcard_array[17]) {
                        this.IDCardText = "身份证号码末位校验位校验出错";
                        this.allowedCertificate = false;
                    }
                }
                else {
                    for (var i = 0; i < 18; i++) {
                        if (i < 17) {
                            if (idcard_array[i] < "0" || idcard_array[i] > "9") {
                                this.IDCardText = "身份证号码存在无效字符";
                                break;
                            }
                        }
                        else {
                            if (idcard_array[i] < "0" || (idcard_array[i] > "9" && idcard_array[i] != "X" && idcard_array[i] != "x")) {
                                this.IDCardText = "身份证号码存在无效字符";
                            }
                            else {
                                this.IDCardText = "身份证号码出生日期超出范围";
                            }
                        }
                    }
                    this.allowedCertificate = false;
                }
                break;
            default:
                this.IDCardText = "身份证号码位数不对,应该为15位或是18位";
                this.allowedCertificate = false;
                break;
        }
        if (this.allowedCertificate == false)
            this.appService.alert(this.IDCardText);
        else {
            this.user.gender = parseInt(idcard_array[16]) % 2 == 1 ? '1' : '2';
            this.user.birthday = _v.substr(6, 4) + '-' + _v.substr(10, 2) + '-' + _v.substr(12, 2);
        }
    };
    TestPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-test',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\test\test.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>我要入会</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <form method="post" content-type="application/x-www-from-urlencoded" #add_form="ngForm" (ngSubmit)="onSubmit(add_form)">\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="textCtrl-title"><font style="color:red">*</font>所属单位</span>\n\n      <input readonly (click)="openSearchModal($event)" [(ngModel)]="user.ent_name" name="ent_name" pattern="" placeholder="请点击按钮后选择" required style="text-align:right;float:right;border:none;width:70%;" />\n\n      <ion-icon name="search" (click)="openSearchModal($event)" style="position: absolute;right:8px;margin-top:-2px;color:#aaa;font-size:25px" required></ion-icon>\n\n    </ion-item>\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="textCtrl-title"><font style="color:red">*</font>所属工会</span>\n\n      <input readonly [(ngModel)]="user.org_name" name="org_name" pattern="" placeholder="选择所属单位后系统自动填写" required style="text-align:right;float:right;border:none;width:70%;" />\n\n    </ion-item>\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="textCtrl-title"><font style="color:red">*</font>姓名</span>\n\n      <input pattern="" placeholder="请填写姓名" [(ngModel)]="user.name" maxlength="32" name="name" style="text-align:right;float:right;border:none" required />\n\n    </ion-item>\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <ion-label class="ion-title textCtrl-title"><font style="color:red;">*</font>身份证号</ion-label>\n\n      <ion-input pattern="" placeholder="请填写身份证号" maxlength="18" [(ngModel)]="user.cert_no"\n\n      (ionBlur)="validateCertificate()" name="cert_no" style="text-align:right;float:right;border:none" required ></ion-input>\n\n    </ion-item>\n\n\n\n    <!-- /** 性别*/ -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        <font style="color:red">*</font>性别\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="gender" [(ngModel)]="user.gender"\n\n        #gender okText="确定" cancelText="取消" multiple="false" interface\n\n        placeholder="请选择性别" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_gender">\n\n          <ng-container *ngIf=\'item1.code=="user.gender"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.gender")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <!-- 出生日期 -->\n\n    <ion-item class="item-content" style="padding-left:16px;padding-right:16px">\n\n      <ion-label class="ion-title textCtrl-title">\n\n        <font style="color:red">*</font>出生日期\n\n      </ion-label>\n\n      <ion-datetime class="textCtrl-content" displayFormat="YYYY-MM-DD" [(ngModel)]="user.birthday"\n\n        #birthday name="birthday" (ngModelChange)="changeDate(\'birthday\',birthday)"\n\n        placeholder="请选择出生日期" cancelText="取消" doneText="确定"></ion-datetime>\n\n      <!-- <h3 class="ion-title textCtrl-title">\n\n        <font style="color:red">*</font>{{info.birthday.item_name}}\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa !important;" float-right>{{info.birthday.value}}</p> -->\n\n    </ion-item>\n\n\n\n    <!-- 证件有效期自 -->\n\n    <ion-item class="item-content" style="padding-left:16px;padding-right:16px">\n\n      <ion-label class="ion-title textCtrl-title">\n\n        <font style="color:red">*</font>证件有效期自\n\n      </ion-label>\n\n      <ion-datetime class="textCtrl-content" displayFormat="YYYY-MM-DD" [(ngModel)]="user.cert_begin_date"\n\n        #cert_begin_date name="cert_begin_date" placeholder="请选择证件有效期起始时间" cancelText="取消"\n\n        doneText="确定"></ion-datetime>\n\n    </ion-item>\n\n\n\n    <!-- 证件有效期至 -->\n\n    <ion-item class="item-content" style="padding-left:16px;padding-right:16px">\n\n      <ion-label class="ion-title textCtrl-title">\n\n        <font style="color:red">*</font>证件有效期至\n\n      </ion-label>\n\n      <ion-datetime class="textCtrl-content" displayFormat="YYYY-MM-DD" [(ngModel)]="user.cert_end_date"\n\n        #cert_end_date name="cert_end_date" placeholder="请选择证件有效期截止时间" cancelText="取消"\n\n        [max]="2100-12-31" doneText="确定"></ion-datetime>\n\n    </ion-item>\n\n\n\n    <!-- 户籍类型 -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        <font style="color:red">*</font>户籍类型\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="household_register" [(ngModel)]="user.household_register" #household_register\n\n        okText="确定" cancelText="取消" multiple="false"\n\n        placeholder="请选择户籍类型" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_household_register">\n\n          <ng-container *ngIf=\'item1.code=="user.household_register"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.household_register")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <!-- 国家或地区 -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        <font style="color:red">*</font>国家或地区\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="nationality" [(ngModel)]="user.nationality" #nationality\n\n        okText="确定" cancelText="取消" multiple="false"\n\n        placeholder="请选择国家或地区" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of countrys">\n\n          <ng-container *ngIf=\'item1.code=="user.nationality"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.nationality")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <!-- 民族 -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        <font style="color:red">*</font>民族\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="nation" [(ngModel)]="user.nation" #nation\n\n        okText="确定" cancelText="取消" multiple="false"\n\n        placeholder="请选择民族" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_nation">\n\n          <ng-container *ngIf=\'item1.code=="user.nation"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.nation")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <!-- 入会时间 -->\n\n    <ion-item class="item-content" style="padding-left:16px;padding-right:16px">\n\n      <ion-label class="ion-title textCtrl-title">\n\n        入会时间\n\n      </ion-label>\n\n      <ion-datetime class="textCtrl-content" displayFormat="YYYY-MM-DD" [(ngModel)]="user.entry_time"\n\n        #entry_time name="entry_time" cancelText="取消"\n\n        doneText="确定"></ion-datetime>\n\n    </ion-item>\n\n    \n\n    \n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        <font style="color:red">*</font>现居住地（市）\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="area1" [(ngModel)]="user.area1"\n\n      (ngModelChange)="getArea2()" #area1 okText="确定" cancelText="取消"\n\n        multiple="false" placeholder="请选择现居住地" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of area_data1">\n\n            <ng-container *ngIf=\'item1.code=="user.area1"\'>\n\n              <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n            </ng-container>\n\n            <ng-container *ngIf=\'!(item1.code=="user.area1")\'>\n\n              <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n            </ng-container>\n\n          </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    \n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n        <ion-label>\n\n          <font style="color:red">*</font>现居住地（区县）\n\n        </ion-label>\n\n        <ion-select class="textCtrl-content" name="area2" [(ngModel)]="user.area2" \n\n         #area2 okText="确定" cancelText="取消"\n\n          multiple="false" interface placeholder="请选择现居住地" interface="action-sheet">\n\n          <ng-container *ngFor="let item1 of area_data2">\n\n              <ng-container *ngIf=\'item1.code=="user.area2"\'>\n\n                <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n              </ng-container>\n\n              <ng-container *ngIf=\'!(item1.code=="user.area2")\'>\n\n                <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n              </ng-container>\n\n            </ng-container>\n\n        </ion-select>\n\n      </ion-item>\n\n\n\n    <!-- 婚姻状况 -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        婚姻状况\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="marital_status" [(ngModel)]="user.marital_status" #marital_status\n\n        okText="确定" cancelText="取消" multiple="false" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_marriage">\n\n          <ng-container *ngIf=\'item1.code=="user.marital_status"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.marital_status")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <!-- 就业状态 -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        <font style="color:red">*</font>就业状态\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="work_status" [(ngModel)]="user.work_status" #work_status\n\n        okText="确定" cancelText="取消" placeholder="请选择就业状态" multiple="false" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_work_status">\n\n          <ng-container *ngIf=\'item1.code=="user.work_status"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.work_status")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <!-- 学历 -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        <font style="color:red">*</font>学历\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="education" [(ngModel)]="user.education" #education\n\n        okText="确定" cancelText="取消" placeholder="请选择学历" multiple="false" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_education">\n\n          <ng-container *ngIf=\'item1.code=="user.education"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.education")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <!-- 岗位状态 -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        <font style="color:red">*</font>岗位状态\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="job_status" [(ngModel)]="user.job_status" #job_status\n\n        okText="确定" cancelText="取消" placeholder="请选择岗位状态" multiple="false" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_job_status">\n\n          <ng-container *ngIf=\'item1.code=="user.job_status"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.job_status")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <!-- 技术等级 -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        <font style="color:red">*</font>技术等级\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="skill" [(ngModel)]="user.skill" #skill\n\n        okText="确定" cancelText="取消" placeholder="请选择技术等级" multiple="false" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_skill">\n\n          <ng-container *ngIf=\'item1.code=="user.skill"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.skill")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <!-- 是否农民工 -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        <font style="color:red">*</font>是否农民工\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="if_construct" [(ngModel)]="user.if_construct" #if_construct\n\n        okText="确定" cancelText="取消" placeholder="请选择是否农民工" multiple="false" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_if_construct">\n\n          <ng-container *ngIf=\'item1.code=="user.if_construct"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.if_construct")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <!-- 是否劳务派遣工 -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        <font style="color:red">*</font>是否劳务派遣工\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="dispatch_worker" [(ngModel)]="user.dispatch_worker" #dispatch_worker\n\n        okText="确定" cancelText="取消" multiple="false" placeholder="请选择是否劳务派遣工" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of whether">\n\n          <ng-container *ngIf=\'item1.code=="user.dispatch_worker"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.dispatch_worker")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="textCtrl-title"><font style="color:red">*</font>手机号码</span>\n\n      <input pattern="" placeholder="请填写手机号码" [(ngModel)]="user.mobile" type="tel"  maxlength="11" name="mobile" style="text-align:right;float:right;border:none" required />\n\n    </ion-item>\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="textCtrl-title">联系电话</span>\n\n      <input [(ngModel)]="user.telephone" type="tel" name="telephone" style="text-align:right;float:right;border:none" />\n\n    </ion-item>\n\n\n\n    <!-- 医疗保险类别 -->\n\n    <ion-item class="item-content textCtrl-title" style="padding-left:16px;padding-right:16px">\n\n      <ion-label>\n\n        医疗保险类别\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content" name="insurance_type" [(ngModel)]="user.insurance_type" #insurance_type\n\n        okText="确定" cancelText="取消" multiple="false" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_insurance_type">\n\n          <ng-container *ngIf=\'item1.code=="user.insurance_type"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="user.insurance_type")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="textCtrl-title">医疗保险号码</span>\n\n      <input [(ngModel)]="user.insurance_number" type="tel" name="insurance_number" style="text-align:right;float:right;border:none" />\n\n    </ion-item>\n\n\n\n    <ion-item>\n\n        <div style="margin-left:2px;margin-right:2px">\n\n          <!-- <p class="content textCtrl-content" style="text-align:center">入会须知</p> -->\n\n          <p class="desc">吉林省总工会欢迎您。</p>\n\n          <p class="desc">以工资收入为主要生活来源的体力劳动者和脑力劳动者，均有依法参加和组织工会的权利。</p>\n\n          <p class="desc">您若自愿加入工会组织，请提供相关信息。我们将尽快安排工作人员与您联系，帮助您进一步了解和掌握中国工会的性质、基本职责、根本任务以及会员享有的权利和应尽义务，办理网上登记入会的相关手续。</p>\n\n          <p class="desc">您提交的留言，我们将有专人及时处理并回复。为确保我们的服务质量，请您务必详细、准确地填写姓名和联系方式等信息。</p>\n\n          <p class="desc">吉林省总工会竭诚为每一名会员提供热情周到的服务。</p>\n\n          <p style="color:red;line-height:20px;font-size:12px;white-space: normal">友情提示：</p>\n\n          <p style="color:red;line-height:20px;font-size:12px;white-space: normal">1.建议您先联系本单位询问是否有工会组织。</p>\n\n          <p style="color:red;line-height:20px;font-size:12px;white-space: normal">2.以下职工个人信息及单位信息项，请务必如实、完整填写。</p>\n\n        </div>\n\n      </ion-item>\n\n\n\n    <div style="height: 2.4em;margin-left:2px;margin-right:2px">\n\n      <button type="submit" ion-button block color="primary" [disabled]="!add_form.valid">\n\n        提交\n\n      </button>\n\n    </div>\n\n\n\n  </form>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\test\test.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_code__["a" /* AppCode */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */]])
    ], TestPage);
    return TestPage;
}());

//# sourceMappingURL=test.js.map

/***/ })

});
//# sourceMappingURL=16.js.map