webpackJsonp([161],{

/***/ 482:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ExemplarListPageModule", function() { return ExemplarListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__exemplar_list__ = __webpack_require__(656);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(261);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ExemplarListPageModule = /** @class */ (function () {
    function ExemplarListPageModule() {
    }
    ExemplarListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__exemplar_list__["a" /* ExemplarListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__exemplar_list__["a" /* ExemplarListPage */]),
            ],
        })
    ], ExemplarListPageModule);
    return ExemplarListPageModule;
}());

//# sourceMappingURL=exemplar-list.module.js.map

/***/ }),

/***/ 656:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ExemplarListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__ = __webpack_require__(40);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_exemplar_comment_exemplar_comment__ = __webpack_require__(284);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__components_login_login__ = __webpack_require__(47);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ionic_angular_components_alert_alert_controller__ = __webpack_require__(26);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








/**
 * Generated class for the ExemplarListPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ExemplarListPage = /** @class */ (function () {
    function ExemplarListPage(navCtrl, navParams, appService, modalCtrl, appUtil, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.relaxes = [];
        this.hasmore = true;
        this.token = null;
        this.params = {
            page: 1,
            size: 10,
            token: window.localStorage.getItem('token')
        };
    }
    ExemplarListPage.prototype.ionViewWillEnter = function () {
        this.checkLogin();
        this.getRelaxList();
    };
    /**
     * 获取服务单位列表
     */
    ExemplarListPage.prototype.getRelaxList = function () {
        var _this = this;
        this.relaxes = JSON.parse(localStorage.getItem('jilinapp_jl.relaxList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getExemplarRelaxList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.relaxes = d;
                    _this.params.page += 1;
                    localStorage.setItem('jilinapp_jl.relaxList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    ExemplarListPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.params.page = 1;
            _this.hasmore = true;
            _this.getRelaxList();
            refresher.complete();
        }, 1000);
    };
    ExemplarListPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getExemplarRelaxList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.relaxes = _this.relaxes.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                // console.log("没有数据啦！")
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param entList
     */
    ExemplarListPage.prototype.trackByRelaxList = function (index, entList) {
        return entList.id;
    };
    ExemplarListPage.prototype.checkLogin = function () {
        var _this = this;
        this.token = window.localStorage.getItem('token');
        this.params.token = this.token;
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            _this.navCtrl.parent.select(0);
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            for (var i = 0; i < localStorage.length; i++) {
                                //console.log(localStorage.key(i));
                                if (localStorage.key(i) != 'jilinapp_jl.isFirstLogin') {
                                    localStorage.removeItem(localStorage.key(i));
                                }
                            }
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
        return true;
    };
    ExemplarListPage.prototype.openAddCommentModal = function (myEvent, name, relax_id, archives_id) {
        var _this = this;
        myEvent.stopPropagation(); //组织item的click事件
        if (this.checkLogin()) {
            var addCommentModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_exemplar_comment_exemplar_comment__["a" /* ExemplarCommentComponent */], { 'relax_id': relax_id, 'name': name, 'archives_id': archives_id });
            addCommentModal.onDidDismiss(function (data) {
                console.log("data:", data);
                if (data != null && data != 'undefined') {
                    if (data.success === '1') {
                        _this.params.page = 1;
                        _this.getRelaxList();
                    }
                }
            });
            addCommentModal.present();
        }
    };
    //Modal打开login
    ExemplarListPage.prototype.presentLoginModal = function (myEvent) {
        var _this = this;
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_6__components_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.params.page = 1;
                    _this.getRelaxList();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    ExemplarListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-exemplar-list',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\exemplar-list\exemplar-list.html"*/'<!--\n\n  Generated template for the ServiceEnterprisePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>休养活动列表</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <ion-list>\n\n      <ion-item *ngIf=\'relaxes.length==0||relaxes.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#666">暂无未评价的休养活动</p>\n\n      </ion-item>\n\n      <ion-item class="item" *ngFor="let relax of relaxes trackBy:trackByRelaxList">\n\n        <h3 class="textCtrl-title">{{relax.name}}</h3>\n\n        <div style="float:right;" (click)="openAddCommentModal($event,relax.name,relax.relax_id,relax.archives_id)">\n\n          <button ion-button outline item-end icon-left>\n\n            <ion-icon name="ios-create-outline"></ion-icon>\n\n            评价\n\n          </button>\n\n        </div>\n\n        <p class="textCtrl-content">创建时间：{{relax.create_time}}</p>\n\n\n\n      </ion-item>\n\n    </ion-list>\n\n  </section>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\exemplar-list\exemplar-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_7_ionic_angular_components_alert_alert_controller__["a" /* AlertController */]])
    ], ExemplarListPage);
    return ExemplarListPage;
}());

//# sourceMappingURL=exemplar-list.js.map

/***/ })

});
//# sourceMappingURL=161.js.map