webpackJsonp([162],{

/***/ 481:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EnterJoinPageModule", function() { return EnterJoinPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__enter_join__ = __webpack_require__(655);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var EnterJoinPageModule = /** @class */ (function () {
    function EnterJoinPageModule() {
    }
    EnterJoinPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__enter_join__["a" /* EnterJoinPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__enter_join__["a" /* EnterJoinPage */]),
            ],
        })
    ], EnterJoinPageModule);
    return EnterJoinPageModule;
}());

//# sourceMappingURL=enter-join.module.js.map

/***/ }),

/***/ 655:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EnterJoinPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_select_org_select_org__ = __webpack_require__(283);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the EnterJoinPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var EnterJoinPage = /** @class */ (function () {
    function EnterJoinPage(viewCtrl, appUtil, modalCtrl, alertCtrl, appService, navCtrl, navParams) {
        this.viewCtrl = viewCtrl;
        this.appUtil = appUtil;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.appService = appService;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        /*
        categorys: Array<any> = [];
        add = {
          lawyer_id: '1',
          message_dispute_type: '0',
          consult_content: '',
        };
        category_params = {
          list_name: 'CT_MESSAGE_DISPUTE_TYPE',
          schema: 'FLYZ'
        }
        */
        this.enter = {
            name: '',
            address: '',
            org_code: '',
            link_phone: '',
            link_name: '',
            org_name: '',
            org_id: '',
            employee_num: ''
        };
    }
    /**
    * 打开搜索模态框
    * @param myEvent
    */
    EnterJoinPage.prototype.openSearchModal = function (myEvent) {
        var _this = this;
        var searchModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_select_org_select_org__["a" /* SelectOrgComponent */]);
        searchModal.onDidDismiss(function (data) {
            console.log(data.org_name);
            console.log(data.org_id);
            _this.enter.org_name = data.org_name;
            _this.enter.org_id = data.org_id;
        });
        searchModal.present({
            ev: myEvent
        });
    };
    EnterJoinPage.prototype.verifyOrgCode = function (org_code) {
        var pass = true;
        if (!/[0-9a-zA-Z]{18}/i.test(org_code)) {
            pass = false;
        }
        return pass;
    };
    /**
     * 提交建会申请
     * @param addForm
     */
    EnterJoinPage.prototype.onSubmit = function (addForm) {
        var _this = this;
        if (this.enter.org_id.toString().length === 0) {
            this.appService.alert('请选择工会信息！');
            return;
        }
        if (this.enter.org_code.toString().length != 18) {
            this.appService.alert('请正确填写18位组织机构代码！');
            return;
        }
        if (!this.verifyOrgCode(this.enter.org_code)) {
            this.appService.alert('请填写正确的组织机构代码！');
            return;
        }
        this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.enterJoin, //1.url
        {
            name: this.enter.name,
            link_phone: this.enter.link_phone,
            link_name: this.enter.link_name,
            employee_num: this.enter.employee_num,
            org_code: this.enter.org_code,
            address: this.enter.address,
            org_id: this.enter.org_id
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    EnterJoinPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-enter-join',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\enter-join\enter-join.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>单位建会</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <form method="post" content-type="application/x-www-from-urlencoded" #add_form="ngForm" (ngSubmit)="onSubmit(add_form)">\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="input-label">所属工会</span>\n\n      <input readonly (click)="openSearchModal($event)" [(ngModel)]="enter.org_name" name="org_name" pattern="" placeholder="必填项,请在搜索后选择" required style="text-align:right;float:right;border:none;padding-right:30px" />\n\n      <ion-icon name="search" (click)="openSearchModal($event)" style="margin-right:16px;position: absolute;right:11px;margin-top:-2px;color:#aaa;font-size:25px"></ion-icon>\n\n    </ion-item>\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="input-label">单位名称</span>\n\n      <input pattern="" placeholder="必填" [(ngModel)]="enter.name" maxlength="64" name="name" style="text-align:right;float:right;border:none" required />\n\n    </ion-item>\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="input-label">组织机构代码</span>\n\n      <input pattern="" placeholder="必填" [(ngModel)]="enter.org_code" name="org_code" style="text-align:right;float:right;border:none" required />\n\n    </ion-item>\n\n\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="input-label">职工人数</span>\n\n      <input pattern="" type="number" placeholder="必填" [(ngModel)]="enter.employee_num" name="employee_num" style="text-align:right;float:right;border:none" required />\n\n    </ion-item>\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="input-label">单位详细地址</span>\n\n      <input pattern="" placeholder="必填"  maxlength="128" [(ngModel)]="enter.address" name="address" style="text-align:right;float:right;border:none" required />\n\n    </ion-item>\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="input-label">联系人</span>\n\n      <input pattern="" placeholder="必填" maxlength="16" [(ngModel)]="enter.link_name" name="link_name" style="text-align:right;float:right;border:none" required />\n\n    </ion-item>\n\n    \n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n        <span class="input-label">联系电话</span>\n\n        <input pattern="" placeholder="必填" maxlength="16" [(ngModel)]="enter.link_phone" name="link_phone" style="text-align:right;float:right;border:none" required />\n\n    </ion-item>\n\n\n\n    \n\n\n\n    <div style="height: 2.4em;margin-left:2px;margin-right:2px;">\n\n      <button type="submit" ion-button block color="primary" [disabled]="!add_form.valid">\n\n        提交\n\n      </button>\n\n    </div>\n\n\n\n  </form>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\enter-join\enter-join.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["s" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */]])
    ], EnterJoinPage);
    return EnterJoinPage;
}());

//# sourceMappingURL=enter-join.js.map

/***/ })

});
//# sourceMappingURL=162.js.map