webpackJsonp([19],{

/***/ 625:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SurveyEpidemicVerifyPageModule", function() { return SurveyEpidemicVerifyPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__survey_epidemic_verify__ = __webpack_require__(800);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SurveyEpidemicVerifyPageModule = /** @class */ (function () {
    function SurveyEpidemicVerifyPageModule() {
    }
    SurveyEpidemicVerifyPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__survey_epidemic_verify__["a" /* SurveyEpidemicVerifyPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__survey_epidemic_verify__["a" /* SurveyEpidemicVerifyPage */]),
            ],
        })
    ], SurveyEpidemicVerifyPageModule);
    return SurveyEpidemicVerifyPageModule;
}());

//# sourceMappingURL=survey-epidemic-verify.module.js.map

/***/ }),

/***/ 800:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SurveyEpidemicVerifyPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the SurveyEpidemicVerifyPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var SurveyEpidemicVerifyPage = /** @class */ (function () {
    function SurveyEpidemicVerifyPage(navCtrl, appService, navParams) {
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.navParams = navParams;
        this.mobile = '';
    }
    SurveyEpidemicVerifyPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad SurveyEpidemicVerifyPage');
    };
    /**
     * 提交信息
     * @param addForm
     */
    SurveyEpidemicVerifyPage.prototype.survey = function () {
        var _this = this;
        if (this.mobile.length === 0) {
            this.appService.alert('手机号不能为空！');
            return;
        }
        if (!this.verifyPhone(this.mobile)) {
            this.appService.alert("请填写正确格式的手机号");
            return;
        }
        // if (this.apply_user.gender.toString().length === 0) {
        //   this.appService.alert('请填写性别！');
        //   return;
        // }
        this.appService.httpGetWithLoading(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.verifyEpidemicSurvey, //1.url
        {
            mobile: this.mobile
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.navCtrl.push('SurveyEpidemicPage', { mobile: _this.mobile });
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 手机号校验
     * @param phone
     */
    SurveyEpidemicVerifyPage.prototype.verifyPhone = function (phone) {
        var pass = true;
        if (!/^1([38][0-9]|4[579]|5[0-3,5-9]|6[6]|7[0135678]|9[89])\d{8}$/i.test(phone)) {
            pass = false;
        }
        return pass;
    };
    SurveyEpidemicVerifyPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-survey-epidemic-verify',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\survey-epidemic-verify\survey-epidemic-verify.html"*/'<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>调查问卷</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n\n  <ion-item class="item item-icon-right">\n    <div style="margin-left:2px;margin-right:2px">\n      <p style="color:#444;line-height: 30px;font-size: 1.4rem;">亲爱的朋友：</p>\n      <p class="desc">新冠肺炎疫情给广大企业与职工带来了巨大的冲击，在就业、复工复产、薪酬待遇、劳动保障等方面都增加了压力。为了在常态化疫情防控中加快推进生产生活秩序全面恢复，了解企业复工复产复能面临的困难和问题，研判劳动关系形势、提出政策措施建议，我们针对抗疫期间劳动用工状况开展问卷调查。期待您反馈相关情况，感谢您的大力支持！</p>\n      <p class="desc">答题结束后，我们将在后台随机选出2000名给予10元手机话费奖励，中奖名单将在“吉工e站”手机APP上公布，敬请关注。</p>\n      <p class="desc">开始填写调查问卷前，请填写您的手机号码。</p>\n    </div>\n  </ion-item>\n\n  <ion-item>\n    <ion-label class="item-content textCtrl-title"><font style="color:red;">*</font>手机号码</ion-label>\n    <ion-input class="textCtrl-content-editable" name="mobile" [(ngModel)]="mobile" type="tel" \n    maxlength="11" pattern="^1[0-9]{10,10}$" placeholder="请输入手机号" style="font-size:1.5rem;border-bottom:0.6px solid #aaa;">\n    </ion-input>\n  </ion-item>\n\n</ion-content>\n\n<ion-footer no-border>\n  <ion-toolbar>\n    <button ion-button block button-positive (click)="survey()">开始答题</button>\n  </ion-toolbar>\n</ion-footer>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\survey-epidemic-verify\survey-epidemic-verify.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */]])
    ], SurveyEpidemicVerifyPage);
    return SurveyEpidemicVerifyPage;
}());

//# sourceMappingURL=survey-epidemic-verify.js.map

/***/ })

});
//# sourceMappingURL=19.js.map