webpackJsonp([67],{

/***/ 577:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceTicketsPageModule", function() { return ServiceTicketsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_tickets__ = __webpack_require__(752);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceTicketsPageModule = /** @class */ (function () {
    function ServiceTicketsPageModule() {
    }
    ServiceTicketsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_tickets__["a" /* ServiceTicketsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__service_tickets__["a" /* ServiceTicketsPage */]),
            ],
        })
    ], ServiceTicketsPageModule);
    return ServiceTicketsPageModule;
}());

//# sourceMappingURL=service-tickets.module.js.map

/***/ }),

/***/ 752:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceTicketsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the ServiceTicketsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServiceTicketsPage = /** @class */ (function () {
    function ServiceTicketsPage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.ticketsList = [];
        this.hasmore = true;
        this.params = {
            page: 1,
            size: 10
        };
    }
    ServiceTicketsPage.prototype.ionViewWillEnter = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getTicketsList();
    };
    ServiceTicketsPage.prototype.ionViewDidLoad = function () {
        this.getTicketsList();
    };
    ServiceTicketsPage.prototype.getTicketsList = function () {
        var _this = this;
        this.ticketsList = JSON.parse(localStorage.getItem('jilinapp_jl.ticketsList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getTicketsList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.ticketsList = d;
                    _this.params.page += 1;
                    localStorage.setItem('jilinapp_jl.ticketsList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    ServiceTicketsPage.prototype.trackByTicketsList = function (index, ticketsList) {
        return ticketsList.id;
    };
    ServiceTicketsPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    ServiceTicketsPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getEntList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.ticketsList = _this.ticketsList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                // console.log("没有数据啦！")
            }
            infiniteScroll.complete();
        });
    };
    /**
    * 刷新时需要初始化页数和是否还有数据的标志
    */
    ServiceTicketsPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getTicketsList();
    };
    ServiceTicketsPage.prototype.goDetail = function (project_id) {
        this.navCtrl.push('ServiceDetailPage', {
            'service_id': project_id,
            'type': 1
        });
    };
    ServiceTicketsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-service-tickets',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\service-tickets\service-tickets.html"*/'<!--\n\n  Generated template for the MyServicePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n    <ion-navbar color="primary">\n\n      <ion-title>服务项目</ion-title>\n\n    </ion-navbar>\n\n  \n\n  </ion-header>\n\n  \n\n  \n\n  <ion-content>\n\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n\n      <ion-refresher-content\n\n        pullingIcon="arrow-dropdown"\n\n        pullingText="下拉刷新"\n\n        refreshingSpinner="circles"\n\n        refreshingText="加载中..."\n\n      >\n\n      </ion-refresher-content>\n\n    </ion-refresher>\n\n  \n\n    <section>\n\n      <ion-list >\n\n        <ion-item *ngIf=\'ticketsList.length==0||ticketsList.length==underfind\'>\n\n          <p style="text-align:center;font-size:1.4rem;color:#666">暂无相关数据</p>\n\n        </ion-item>\n\n        <ion-item class="item" *ngFor="let item of ticketsList" (click)="goDetail(item.id)">                \n\n          <ion-avatar item-left>              \n\n            <img src={{item.img}}>            \n\n          </ion-avatar>        \n\n          <h3 class="textCtrl-title" style="overflow: hidden;text-overflow: ellipsis;">{{item.name}}</h3>   \n\n          <div style="padding:0"><ion-icon name="star" *ngFor="let item1 of item.star"></ion-icon></div>     \n\n          <p class="textCtrl-content">已参与：{{item.reserved_count}}</p>  \n\n          <p class="textCtrl-content">剩余数：{{item.count==-1?\'无限制\':item.count}}</p>           \n\n        </ion-item>             \n\n      </ion-list>\n\n    </section>\n\n  </ion-content>\n\n  \n\n'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\service-tickets\service-tickets.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], ServiceTicketsPage);
    return ServiceTicketsPage;
}());

//# sourceMappingURL=service-tickets.js.map

/***/ })

});
//# sourceMappingURL=67.js.map