webpackJsonp([9],{

/***/ 635:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "VoteInfoPageModule", function() { return VoteInfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__vote_info__ = __webpack_require__(809);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var VoteInfoPageModule = /** @class */ (function () {
    function VoteInfoPageModule() {
    }
    VoteInfoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__vote_info__["a" /* VoteInfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__vote_info__["a" /* VoteInfoPage */]),
            ],
        })
    ], VoteInfoPageModule);
    return VoteInfoPageModule;
}());

//# sourceMappingURL=vote-info.module.js.map

/***/ }),

/***/ 809:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return VoteInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular_components_modal_modal_controller__ = __webpack_require__(40);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_vote_vote__ = __webpack_require__(274);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_service__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ionic_angular_components_alert_alert_controller__ = __webpack_require__(26);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the VoteInfoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var VoteInfoPage = /** @class */ (function () {
    function VoteInfoPage(navCtrl, navParams, modalCtrl, appService, appUtil, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.token = window.localStorage.getItem('token');
        this.vote_id = this.navParams.get('vote_id');
        this.voteInfo = {};
        this.params = {
            vote_id: this.vote_id,
            token: this.token
        };
    }
    VoteInfoPage.prototype.ionViewDidLoad = function () {
        this.getVoteInfo();
        // console.log(this.voteInfo);
    };
    VoteInfoPage.prototype.checkLogin = function () {
        this.token = window.localStorage.getItem('token');
        //console.log('token=='+this.token);
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    VoteInfoPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.ionViewDidLoad();
            refresher.complete();
        }, 1000);
    };
    //判断是否符合投票人员要求
    VoteInfoPage.prototype.openVoteModal = function (myEvent, project_id) {
        var _this = this;
        if (this.checkLogin()) {
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.voteVerifyAttend, { project_id: project_id, token: this.token }, function (d) {
                _this.errcode = d.errcode;
                _this.msg = d.errmsg;
                if (_this.errcode == -2) {
                    var alert_1 = _this.alertCtrl.create({
                        title: '温馨提示',
                        message: _this.msg,
                        buttons: [
                            {
                                text: '好的',
                                role: 'cancel',
                            }
                        ]
                    });
                    alert_1.present();
                }
                else {
                    var searchModal = _this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_vote_vote__["a" /* VoteComponent */], {
                        project_id: project_id
                    });
                    searchModal.onDidDismiss(function (data) {
                        _this.navCtrl.pop();
                    });
                    searchModal.present({
                        ev: myEvent
                    });
                }
            });
            return;
        }
        var voteModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_vote_vote__["a" /* VoteComponent */], {
            project_id: project_id,
        });
        voteModal.onDidDismiss(function (data) {
        });
        voteModal.present({
            ev: myEvent
        });
    };
    VoteInfoPage.prototype.getVoteInfo = function () {
        var _this = this;
        this.voteInfo = JSON.parse(localStorage.getItem('jilinapp_jl.voteInfo')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.getVoteInfo, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.voteInfo = d;
                    localStorage.setItem('jilinapp_jl.voteInfo', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    VoteInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-vote-info',template:/*ion-inline-start:"D:\ionic3_project_publish\jilin_app\src\pages\vote-info\vote-info.html"*/'<!--\n\n  Generated template for the ServiceStationDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color=\'primary\'>\n\n    <ion-title>{{voteInfo.name}}</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <ion-item class="item-content">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="begin-icon" ios="ios-time" md="md-time"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">活动开始时间</h3>\n\n      <p class="textCtrl-content" float-right>{{voteInfo.start_time}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="end-icon" ios="ios-timer" md="md-timer"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">活动结束时间</h3>\n\n      <p class="textCtrl-content" float-right>{{voteInfo.end_time}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content ">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="count-icon" ios="ios-clipboard" md="md-clipboard"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">每次最多投票数</h3>\n\n      <p class="textCtrl-content" float-right>{{voteInfo.single_max_vote_num}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content ">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="count-icon" ios="ios-clipboard" md="md-clipboard"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">每个用户最多投票次数</h3>\n\n      <p class="textCtrl-content" float-right>{{voteInfo.vote_num}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="count-icon" ios="ios-clipboard" md="md-clipboard"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">每个用户每天最多投票次数</h3>\n\n      <p class="textCtrl-content" float-right>{{voteInfo.vote_num_day}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="gender-icon" ios="ios-transgender" md="md-transgender"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">性别限制</h3>\n\n      <p class="textCtrl-content" float-right>{{voteInfo.require_gender}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content ">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="age-icon" ios="ios-person" md="md-person"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">年龄限制</h3>\n\n      <p class="textCtrl-content" float-right *ngIf="voteInfo.require_age_min!=0 || voteInfo.require_age_max!=0">{{voteInfo.require_age_min}}-{{voteInfo.require_age_max}}岁</p>\n\n      <p class="textCtrl-content" float-right *ngIf="voteInfo.require_age_min==0&&voteInfo.require_age_max==0">不限</p>\n\n    </ion-item>\n\n\n\n    <!-- <ion-item class="item-content item-content-end">\n\n            <ion-avatar item-left>              \n\n              <ion-icon class="count-icon" ios="ios-cart" md="md-cart"></ion-icon>    \n\n            </ion-avatar>        \n\n            <h3 style="margin:0 0 0 0;display: inline; ">现居住地限制</h3>\n\n            <p float-right>朝阳区、二道区</p>\n\n          </ion-item>\n\n\n\n          <ion-item class="item-content item-content-end">\n\n            <ion-avatar item-left>              \n\n              <ion-icon class="count-icon" ios="ios-cart" md="md-cart"></ion-icon>    \n\n            </ion-avatar>        \n\n            <h3 style="margin:0 0 0 0;display: inline; ">学历限制</h3>\n\n            <p float-right>大学本科、研究生</p>\n\n          </ion-item>\n\n   -->\n\n\n\n    <!-- <ion-item class="item-content">\n\n          <span style="font-size:14px">投票人员限制</span>\n\n         <ion-icon float-right name="arrow-down" ></ion-icon>\n\n        </ion-item>\n\n  \n\n        <ion-item >\n\n          <p style="white-space: normal;"></p>\n\n        </ion-item> -->\n\n  </section>\n\n\n\n\n\n</ion-content>\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive (click)="openVoteModal($Event,voteInfo.id)">开始投票</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\ionic3_project_publish\jilin_app\src\pages\vote-info\vote-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_6_ionic_angular_components_alert_alert_controller__["a" /* AlertController */]])
    ], VoteInfoPage);
    return VoteInfoPage;
}());

//# sourceMappingURL=vote-info.js.map

/***/ })

});
//# sourceMappingURL=9.js.map